local force_enUS = false;

-- /***********************************************
--  * Lunar Locale Module
--  *********************
--
--  Author	: Moongaze (Twisting Nether)
--  Description	: Handles the locale for various languages, once they have been
--                properly translated.
--
--  ***********************************************/

--[[ Notes on locale info

frFR: French			- By: ---
deDE: German			- By: Haggo & Hijikata
enUS: American english		- By: Moongaze ^_^
koKR: Korean			- By: ---
zhCN: Chinese (simplified)	- By: www184436@CWDG & wln333@CWDG
zhTW: Chinese (traditional)	- By: chacha@Whisperwind
ruRU: Russian			- By: ---
esES: Spanish (Spain)		- By: ---
esMX: Spanish (Mexico)		- By: ---

--]]

-- /***********************************************
--  * Module Setup
--  *********************

Lunar = Lunar or {};

local locale = GetLocale();
local LSMACRO;
local LS = "LunarSphere"		-- Not to be localized =)
local LSE = "LunarSphereExporter"	-- Not to be localized =)

local localeVersion = 1.10;

if (locale == "enUS") or (force_enUS == true) then
	
	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",

		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
							"turn off the \"Edit Button\" mode via the" .. "\n" ..
							LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",

	};

elseif (locale == "frFR") then

	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
											"turn off the \"Edit Button\" mode via the" .. "\n" ..
											LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",
	
	};

elseif (locale == "zhTW") then

	LSMACRO = "巨集";
	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "按鍵設定",
		["WINDOW_TITLE_MENUSETTINGS"] = "選單按鍵設定",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "指定",
		["WINDOW_TITLE_IMPORTART"] = "匯入美工圖案",
		["WINDOW_TITLE_TEMPLATE"] = "範本",
		["SPHERE"] = "中心球體",
		["OUTER_GAUGE"] = "外圈",
		["INNER_GAUGE"] = "內圈",

		["BORDERS"] = "邊緣",
		["GAUGES"] = "資訊圈",
		["GAUGE_TO_EDIT"] = "編輯資訊圈",
		["GAUGE_SHOW"] = "顯示資訊圈",
		["GAUGE_SHOW_ANIMATION"] = "動畫顯示資訊圈",
		["GAUGE_EVENT"] = "資訊圈事件",
		["GAUGE_MARKS"] = "資訊圈細分",
		["GAUGE_MARKS_DARK"] = "強化顯示細分格",
		["GAUGE_ANGLE_OFFSET"] = "微調資訊圈角度",

		["GAUGE_REVERSE"] = "反向顯示資訊圈",

		["SHOW_INNER_GAUGE_SHINE"] = "立體化顯示內資訊圈",
		["SHOW_OUTER_GAUGE_SHINE"] = "立體化顯示外資訊圈",
		["SHOW_SPHERE_SHINE"] = "立體化中心球體",
		["SHOW_BUTTON_SHINE"] = "立體化按鈕",
		["SHOW_SPHERE_TEXT_SHADOW"] = "中心球體文字陰影",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "中心球體文字顯示事件",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "已指定 " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "文字顏色",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "五秒回法",
		["EVENT_EXP"] = "經驗條",
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = "連擊點數",
		["EVENT_PETXP"] = "寵物經驗條",
		["EVENT_AMMO"] = "彈藥數量",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) 不細分",
		["MARKS_FIVE"] = "(5) 切為五格",
		["MARKS_TEN"] = "(10) 切為十格",
		["MARKS_TWENTY"] = "(20) 切為20格",
		["SPHERE_SCALE"] = "球體縮放",
		["SPHERE_BUTTON_DISTANCE"] = "按鈕距離",
		["SPHERE_BUTTON_SPACING"] = "按鈕間隔",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "按鈕角度微調",
		["SPHERE_MAIN_BUTTON_COUNT"] = "按鈕數目",
		["HIDE_CENTER_SPHERE"] = "隱藏中心球體",
		["DEBUG"] = "偵錯",
		["SPHERE_COLOR"] = "中心球體顏色",
		["GAUGE_COLOR"] = "資訊圈顏色",
		["BORDER_COLOR"] = "邊緣顏色",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (自我施法)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (對專注目標施法)",
		["BUTTON_USEITEM"] = "使用物品",
		["BUTTON_USEMACRO"] = "使用巨集",
		["BUTTON_MENU"] = "|cFF2255FF啟用子選單|r",
		["BUTTON_LASTSUBMENU"] = "使用最近一次操作子選單按鈕",
		["BUTTON_LASTSUBMENU2"] = "第二個之後的子選單按鈕動作",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "優先使用最低級飲料",
		["BUTTON_DRINK2"] = "優先使用最高級飲料",
		["BUTTON_DRINK3"] = "優先使用最低級食物及飲料",
		["BUTTON_DRINK4"] = "優先使用最高級食物及飲料",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "優先使用最低級食物",
		["BUTTON_FOOD2"] = "優先使用最高級食物",
		["BUTTON_FOOD3"] = "優先使用最低級食物及飲料",
		["BUTTON_FOOD4"] = "優先使用最高級食物及飲料",
		["BUTTON_HEALTHPOTION"] = "|cFF00FF00回復生命物品|r",
		["BUTTON_HEALTHPOTION1"] = "優先使用最低級治療物品",
		["BUTTON_HEALTHPOTION2"] = "優先使用最高級治療物品",
		["BUTTON_HEALTHPOTION3"] = "優先使用最低級治療藥水",
		["BUTTON_HEALTHPOTION4"] = "優先使用最高級治療藥水",
		["BUTTON_HEALTHPOTION5"] = "優先使用最低級治療石",
		["BUTTON_HEALTHPOTION6"] = "優先使用最高級治療石",
		["BUTTON_MANAPOTION"] = "|cFF00FF00回復法力物品|r",
		["BUTTON_MANAPOTION1"] = "優先使用最低級法力物品",
		["BUTTON_MANAPOTION2"] = "優先使用最高級法力物品",
		["BUTTON_MANAPOTION3"] = "優先使用最低級法力藥水",
		["BUTTON_MANAPOTION4"] = "優先使用最高級法力藥水",
		["BUTTON_MANAPOTION5"] = "優先使用最低級法力寶石",
		["BUTTON_MANAPOTION6"] = "優先使用最高級法力寶石",
		["BUTTON_ENERGY"] = "能量藥水",
		["BUTTON_ENERGY1"] = "優先使用最低級能量藥水",
		["BUTTON_ENERGY2"] = "優先使用最高級能量藥水",
		["BUTTON_ENERGY3"] = "使用最佳麻醉毒藥於主手",
		["BUTTON_ENERGY4"] = "使用最佳麻醉毒藥於副手",
		["BUTTON_ENERGY5"] = "使用最佳致命毒藥於主手",
		["BUTTON_ENERGY6"] = "使用最佳致命毒藥於副手",
		["BUTTON_ENERGY7"] = "使用最佳速效毒藥於主手",
		["BUTTON_ENERGY8"] = "使用最佳速效毒藥於副手",
		["BUTTON_ENERGY9"] = "使用最佳致傷毒藥於主手",
		["BUTTON_ENERGY10"] = "使用最佳致傷毒藥於副手",
		["BUTTON_RAGE"] = "怒氣藥水",
		["BUTTON_RAGE1"] = "優先使用最低階怒氣藥水",
		["BUTTON_RAGE2"] = "優先使用最高階怒氣藥水",
		["BUTTON_BANDAGE"] = "繃帶",
		["BUTTON_BANDAGE1"] = "優先使用最低級繃帶",
		["BUTTON_BANDAGE2"] = "優先使用最高級繃帶",
		["BUTTON_MOUNT"] = "騎乘",
		["BUTTON_MOUNT1"] = "選用最快速史詩座騎",
		["BUTTON_MOUNT2"] = "隨機選用最快速史詩地面座騎",
		["BUTTON_MOUNT3"] = "隨機選用最快速史詩飛行座騎",
		["BUTTON_MOUNT4"] = "隨機使用座騎",
		["BUTTON_MOUNT5"] = "隨機使用地面座騎",
		["BUTTON_MOUNT6"] = "隨機使用飛行座騎",
		["BUTTON_MOUNT7"] = "選用最快速非史詩座騎",
		["BUTTON_GROUNDMOUNT"] = "地面座騎",
		["BUTTON_FLYINGMOUNT"] = "飛行座騎",

		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "選單頁面",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "切換顯示幫助頁",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = "交易",
		["BUTTON_TRADE1"] = "交易魔法飲料",
		["BUTTON_TRADE2"] = "交易魔法食物",
		["BUTTON_TRADE3"] = "交易特定物品",
		["BUTTON_WEAPONAPPLY"] = "使用在武器上",
		["BUTTON_WEAPONAPPLY1"] = "使用在主手武器上",
		["BUTTON_WEAPONAPPLY2"] = "使用在副手武器上",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "|cff7fff7f隨機叫出觀賞寵物|r",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "寵物動作條",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "指定動作",
		["CONVERT_TO_MENU"] = "轉換至選單",
		["EDIT_BUTTONS"] = "|cffFF0000＊ 編輯模式 ＊|r",
		["FORCE_DRAGDROP"] = "強制拖放指定",
		["SUBMENU_BUTTON_COMPRESSION"] = "壓縮子選單按鈕",
		["MENU_BUTTON_COLOR"] = "選單顏色",
		["NORMAL_BUTTON_COLOR"] = "正常色",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "醒目標示正在編輯的按鈕",
		["AUTO_CLOSE_MENUS"] = "自動關閉選單",
		["INVENTORY"] = "商店",
		["REAGENTS"] = "材料採買",
		["SPEECH"] = "施法通告",
		["SKINS"] = "外觀",
		["TOOLTIPS"] = "提示",
		["TEMPLATES"] = "範本",
		["MEMORY"] = "LS管理",
		["CREDITS"] = "學分",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "變更外觀",
		["AUTO_BUY_REAGENTS"] = "自動購買材料",
		["REAGENT_LIST"] = "材料清單",
		["PRINT_PURCHASE_RECEIPT"] = "列出購買材料記錄",
		["VENDOR_OPTIONS"] = "商店選單",
		["AUTOSELL_JUNK"] = "自動販售 (|cFF777777灰色)|r 物品",
		["PRINT_PROFIT"] = "列出金錢收益記錄",
		["KEEP_NON_EQUIP"] = "|cFF777777普通垃圾不賣|r",
		["KEEP_WEAPONS"] = "|cFF777777灰色品質武器不賣|r",
		["KEEP_ARMOR"] = "|cFF777777灰色品質衣服不賣|r",
		["AUTO_REPAIR"] = "自動修理",
		["PRINT_REPAIR_BILL"] = "列出修理花費",
		["BYPASS_GOSSIP"] = "跳過商人拖台錢的廢話",
		["AH_OPTIONS"] = "拍賣選項",
		["SHOW_TOTALS_AH"] = "列出所有競標/拍賣細項",
		["SHOW_TOTAL_BID"] = "列出所有競標細項",
		["SHOW_TOTAL_AH"] = "列出所有拍賣細項",
		["_ENERGY_DRINK"] = "能量藥水",
		["APPLY"] = "套用",
		["HIDE_DEFAULT_UI_OBJECTS"] = "隱藏系統內建畫面元件",
		["HIDE"] = "隱藏",
		["HIDE_PLAYER"] = "玩家頭像",
		["HIDE_TIME"] = "小地圖時間",
		["HIDE_ZOOM"] = "小地圖縮放",
		["HIDE_ACTION_BUTTONS"] = "動作按鈕",
		["HIDE_GRYPHONS"] = "獅鷲獸圖樣",
		["HIDE_EXP"] = "經驗條",
		["HIDE_MENUS"] = "主選單",
		["HIDE_PET_BAR"] = "寵物條",
		["HIDE_BAGS"] = "背包",
		["HIDE_BOTTOM_BAR"] = "底部動作條",
		["HIDE_STANCE_BAR"] = "姿態列",
		["HIDE_WORLDMAP"] = "小地圖 圖示",
		["HIDE_CALENDAR"] = "行事曆 圖示",
		["HIDE_TRACKING"] = "追蹤 圖示",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "添加至小地圖",
		["SCROLL_ZOOM"] = "啟用滑鼠滾輪縮放",
		["COORDS"] = "座標",
		["TIME"] = "當前時間",
		["MILITARY"] = "24 小時",
		["CURRENT_TIME_OFFSET"] = "當前時區",
		["JUNK_SALE_TEXT"] = "販售垃圾:",
		["REPAIR_COST_TEXT"] = "修理費用:",
		["REAGENT_TOTALCOST_TEXT"] = "本次採購材料花費:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "從銀行補充材料.",
		["WINDOW_TITLE_REPAIRLOG"] = "修理記錄",
		["LAST_10_ENTRIES"] = "最後 10 筆記錄 ...",
		["_NO_RECORDS_FOUND"] = "查無記錄!",
		["START_UP_MESSAGE"] = "啟始訊息",
		["MAIL_OPTIONS"] = "拍賣場信件選項",
		["RETRIEVE_ALL_MONEY"] = "收下所有送錢來的信件",
		["RETRIEVE_ALL_ITEMS"] = "收下所有送物品來的信",
		["AUTO_RESTOCK_REAGENTS"] = "自動採購材料",
		["PRINT_PURCHASE_REPORT"] = "列出採購明細",
		["REAGENTS_FROM_BANK"] = "從銀行補充材料",
		["CONFIRM_OVER_10"] = "超過|cffF48CBA１０金|r以上支出再確認",
		["ITEM_REAGENT"] = "材料",
		["MAX_COUNT"] = "數目",
		["REAGENT_INSTRUCTIONS"] = "將預定購買的物品拖到窗格中, 並設定保持數量. 按 CTRL 可以移除預購物品.",
		["INSTRUCTIONS_IMPORT"] = "匯入圖片列於下表, 以藍框顯示. 按 CTRL 可以移除匯入圖片.",
		["OUT_OF_STOCK"] = "存量不足",
		["BUTTONS"] = "按鈕",
		["TEXTURES"] = "選用材質",
		["NO_IMAGES_AVAILABLE"] = "無相關圖片",
		["USE_STANCES"] = "套用姿態",
		["SHOW_ICON"] = "顯示圖標:",
		["SHOW_COOLDOWN"] = "顯示冷卻:",
		["SHOW_COUNT"] = "顯示數目:",
		["SET_BUTTON_SCALE"] = "調整按鈕大小",
		["SET_CHILD_SCALE"] = "調整子按鈕比例",
		["SET_MENU_ANGLE"] = "調整選單角度",
		["SET_MENU_OFFSET"] = "微調選單",
		["SET_CHILD_SPACING"] = "調整子按鈕間距",
		["SET_BUTTON_PADDING"] = "設定按鈕填滿",
		["DETACH_FROM_SPHERE"] = "自球體分離",
		["BUTTON_SUB_COUNT"] = "子選單按鈕數目",
		["MENU_BUTTON_OPTIONS"] = "選單按鈕選項",
		["MENU_OPEN_TYPE"] = "開啟選單方式",
		["MENU_OPEN_TYPE1"] = "點擊開啟關閉",
		["MENU_OPEN_TYPE2"] = "滑鼠移過即開關",
		["MENU_OPEN_TYPE3"] = "永遠開啟",
		["MENU_USE_DELAY"] = "延遲自動關閉",
		["MENU_USE_SUBMENU_CLOSE"] = "在按下子選單按鈕後自動關閉選單",
		["MENU_APPLY_ALL"] = "套用至全部按鈕",
		["_SHOW_IN_COMBAT"] = "戰鬥中顯示",
		["_HIDE_IN_COMBAT"] = "戰鬥中隱藏",
		["_SHOW_OUT_OF_COMBAT"] = "戰鬥後顯示",
		["_HIDE_OUT_OF_COMBAT"] = "戰鬥後隱藏",
		["_BUTTON"] = "按鈕",
		["_SUBMENU"] = "子選單",
		["ALWAYS_SHOW"] = "保持選單可見",
		["_KEYBIND"] = "按鍵綁定",
		["_KEYBIND_TOOLTIP1"] = "按鍵綁定選項",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "左鍵: 設定綁定按鍵",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "右鍵: 取消綁定按鍵",
		["SKIP_GLOBAL_COOLDOWN"] = "忽略 GCD",
		["AUTO_SCALE_WINDOWS"] = "自動調整設定視窗大小",
		["STATUS_BUTTON_COLORS"] = "按鈕狀態顏色",
		["VIVID_BUTTON_STATUS_COLORS"] = "使用自定顏色顯示狀態",
		["DISPLAY_BUTTON_OPTIONS"] = "按鈕顯示選項",
		["MENU_GLOBAL_SCALE"] = "全部按鈕縮放",
		["MAIN_BUTTON_SCALE"] = "主按鈕",
		["SUBMENU_BUTTON_SCALE"] = "子按鈕",
		["COOLDOWN_DISPLAY_OPTIONS"] = "按鈕冷卻選項",
		["TOOLTIP_TYPE"] = "提示顯示方式",
		["TOOLTIP_DESCRIPTIONS"] = "提示描述",
		["TOOLTIP_TYPE_SIMPLE"] = "簡單",
		["TOOLTIP_TYPE_NAME"] = "只顯示名稱",
		["HIDE_YELLOW_TEXT"] = "隱藏黃色提示文字",
		["HIDE_GREEN_TEXT"] = "隱藏綠色提示文字",
		["HIDE_LONG_TEXT_ONLY"] = "隱藏過長文字提示",
		["TOOLTIPS_HIDE_KEYBINDS"] = "隱藏按鍵綁定提示",
		["TOOLTIP_COLOR"] = "提示文字顏色調整",
		["TOOLTIP_BORDER"] = "粗體",
		["TOOLTIP_BACKGROUND"] = "背景",
		["TOOLTIP_APPLY_TO_LS"] = "調整 LunarSphere 提示的顏色",
		["TOOLTIP_APPLY_TO_ALL"] = "套用至全部遊戲提示",
		["TOOLTIP_ANCHOR"] = "提示錨點",
		["TOOLTIP_SET_DEFAULT"] = "設定預設提示錨點",
		["TOOLTIP_SET_ALL_ANCHORS"] = "嘗試替換全部遊戲提示錨點",
		["TOOLTIP_FADE_OUT"] = "按鍵提示淡出處理",
		["_SHOW_ANCHOR"] = "顯示自定",
		["_HIDE_ANCHOR"] = "隱藏自定",
		["_SHOW"] = "顯示",
		["ANCHOR_MODE"] = "LunarSphere 提示錨點",
		["ANCHOR_DEFAULT"] = "遊戲提示位置",
		["ANCHOR_CUSTOM"] = "自定提示位置",
		["ANCHOR_MOUSE"] = "滑鼠游標",
		["ANCHOR_BUTTON1"] = "按鈕左上",
		["ANCHOR_BUTTON2"] = "按鈕上方",
		["ANCHOR_BUTTON3"] = "按鈕右上",
		["ANCHOR_BUTTON4"] = "按鈕左方",
		["ANCHOR_BUTTON5"] = "按鈕右方",
		["ANCHOR_BUTTON6"] = "按鈕左下",
		["ANCHOR_BUTTON7"] = "按鈕下方",
		["ANCHOR_BUTTON8"] = "按鈕右下",
		["USE_SPHERE_CLICK_ICON"] = "使用球體點擊圖示",
		["_MENU_SETTINGS"] = "切換設定視窗",
		["_MENU_MOVE_SPHERE"] = "移動球體及按鈕",
		["_MENU_MOVE_DETACHED"] = "移動分離按鈕",
		["_MENU_EDIT_BUTTONS"] = "編輯按鈕",
		["IMPORT"] = "匯入",
		["ART_TYPE"] = "圖片目錄",
		["ART_FILENAME"] = "圖片檔名",
		["WIDTH"] = "寬度",
		["HEIGHT"] = "高度",
		["_SELFCAST"] = "自我施法",
		["_FOCUSCAST"] = "焦點施法",
		["_SHIFT_TOGGLE"] = "按 Shift 點擊切換開關",
		["ANY"] = "任意",
		["ACTION_ASSIGNMENT"] = "動作指定",
		["_SCRIPTS_IN_LIBRARY"] = "已保存巨集 (找到 %d 個)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "巨集內施法動作 (找到 %d 個)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "當前施放",
		["ODDS"] = "可能性",
		["PICK_IN_ORDER"] = "依順序施放",
		["VIVID_NORANGE"] = "超出距離",
		["VIVID_NOMANA"] = "法力不足",
		["VIVID_NOMANARANGE"] = "法力不足並超出距離",
		["HIDE_KEYBINDS"] = "按鈕上不顯示綁定按鍵",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "啟用 DrDamage 支援",
		["DRDAMAGE_SUPPORTTIP"] = "啟用 DrDamage 提示",
		["IMPORT"] = "匯入",
		["EXPORT"] = "匯出",
		["MUTE_SPEECH_TAB"] = "不在頻道發送施法通告",
		["SPEECHES"] = "說話",
		["SETTINGS"] = "設定",
		["_USE_GUILD_REPAIR_QUESTION"] = "系統顯示您可以用工會存款支付修裝費用, 你要動用嗎？",
		["_MY_FUNDS"] = "當前現金",
		["_GUILD_FUNDS_TAG"] = "(工會存款)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "優先使用工會存款支付修裝費",
		["CTRL_CLICK_TO_DELETE"] = "按 Ctrl 點擊欲移除項目",
		["MAKE_SCRIPT_GLOBAL"] = "巨集設為通用",
		["TEMPLATE_NAME"] = "範本名稱",
		["TEMPLATE_FOR"] = "角色:",
		["_TEMPLATE_ALL_CLASSES"] = "全職業",
		["_TEMPLATE_DATA_SAVE"] = "存檔",
		["_TEMPLATE_DATA_LOAD"] = "載入:",
		["TEMPLATE_DATA_BUTTON"] = "按鈕設定",
		["TEMPLATE_DATA_KEYBIND"] = "按鍵綁定",
		["TEMPLATE_DATA_SPHERE"] = "中心球體設定",
		["TEMPLATE_DATA_REAGENT"] = "材料清單",
		["TEMPLATE_DATA_SKIN"] = "外觀",
		["_TEMPLATE_LIST"] = "LunarSphere 範本 (找到 %d 個)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "載入",
--		["TEMPLATE_HELP"] = "範本載入或存檔會有視窗跳出再確認, 當動作為載入時, 將會重新載入 UI.\n要刪除全部範本, 請移至偵錯選單.",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = "LunarSphere 備份檔",
		["RESTORE"] = "復原回存",
		["_CURRENT_BACKUP_SIZE"] = "當前備份約佔用\n%d kb 記憶體",
		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "停用功能",
		["_LUNAR_EXPORT_NOT_FOUND"] = "未發現 LunarSphereExporter 目錄! 略過匯出指令...",
		["_NOT_IN_CACHE"] = "|cFF00FFFF不在物品快取|r",

		["MEMORY_DISABLED"] = "停用效能選項",
		["MEMORY_RELOAD"] = "需要重新載入 UI",
		["MEMORY_CPU_STATS"] = "記憶體及 CPU 狀態",
		["MEMORY_USAGE"] = "LS 記憶體:",
		["MEMORY_CPU_USAGE"] = "LS CPU 佔用:",
		["MEMORY_ALL_USAGE"] = "插件 記憶體:",
		["MEMORY_CPU_ENABLED"] = "CPU 佔用追蹤 (將會重載 UI)",
		["MEMORY_WATCHER_SHOW"] = "顯示 記憶體/CPU 監測",
		["MEMORY_WATCHER_LS"] = "顯示 LunarSphere 狀態",
		["MEMORY_USE_SUMMARY"] = "記憶體使用報告",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "其它冷卻效果",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "淡出顏色",
		["COOLDOWN_FX3"] = "按鈕淡入",
		["COOLDOWN_FX4"] = "圖標淡入",
		["COOLDOWN_FX5"] = "(水平) 色調變化",
		["COOLDOWN_FX6"] = "(垂直) 色調變化",
		["COOLDOWN_FX7"] = "(四面) 色調變化",
		["COOLDOWN_FX8"] = "(方形) 放射狀",
		["COOLDOWN_SHOW_SHINE"] = "閃光顯示可用",
		["COOLDOWN_SHOW_TEXT"] = "顯示冷卻文字",
		["COOLDOWN_COLOR_TINT"] = "圖標色調",
		["COOLDOWN_COLOR_TEXT"] = "文字顏色",

		["_CLICKS"] = "點擊",
		["_LS_DETAILS"] = "LunarSphere 細項",
		["_DROPDOWN_MENU"] = "下拉選單",
		["_SETTINGS_MENU"] = "設定選單",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[－編輯模式－]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "設定完畢後, 請於設定界面關閉編輯模式, 才可以開始使用" .. "|r",

		["SPEECH_VANITY_PET"] = "觀賞寵物",

		["SPHERE_LOCATION"] = "Sphere location from center",
		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "对话指令 (|cFFFFFFFF也可以输入 /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/ls|r  - 指令列表",
		["_HELP3"] = "|cFFFFFFFF/ls showsphere|r  - 显示中心球体",
		["_HELP4"] = "|cFFFFFFFF/ls hidesphere|r  - 隐藏中心球体",
		["_HELP5"] = "|cFFFFFFFF/ls show|r  - 显示中心球体及全部按钮",
		["_HELP6"] = "|cFFFFFFFF/ls hide|r  - 隐藏中心球体及全部按钮",
		["_HELP7"] = "|cFFFFFFFF/ls settings|r  - 开启 LunarSphere 设定视窗",
		["_HELP8"] = "|cFFFFFFFF/ls options|r  - 开启 LunarSphere 设定视窗",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",

	};

elseif (locale == "zhCN") then

	LSMACRO = "宏";
	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "按键设定",
		["WINDOW_TITLE_MENUSETTINGS"] = "选单按键设定",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "指定",
		["WINDOW_TITLE_IMPORTART"] = "汇入美工图案",
		["WINDOW_TITLE_TEMPLATE"] = "范本",
		["SPHERE"] = "中心球体",
		["OUTER_GAUGE"] = "外圈",
		["INNER_GAUGE"] = "内圈",

		["BORDERS"] = "边缘",
		["GAUGES"] = "资讯圈",
		["GAUGE_TO_EDIT"] = "编辑资讯圈",
		["GAUGE_SHOW"] = "显示资讯圈",
		["GAUGE_SHOW_ANIMATION"] = "动画显示资讯圈",
		["GAUGE_EVENT"] = "资讯圈事件",
		["GAUGE_MARKS"] = "资讯圈细分",
		["GAUGE_MARKS_DARK"] = "强化显示细分格",
		["GAUGE_ANGLE_OFFSET"] = "微调资讯圈角度",

		["GAUGE_REVERSE"] = "反向显示资讯圈",

		["SHOW_INNER_GAUGE_SHINE"] = "立体化显示内资讯圈",
		["SHOW_OUTER_GAUGE_SHINE"] = "立体化显示外资讯圈",
		["SHOW_SPHERE_SHINE"] = "立体化中心球体",
		["SHOW_BUTTON_SHINE"] = "立体化按钮",
		["SHOW_SPHERE_TEXT_SHADOW"] = "中心球体文字阴影",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "中心球体文字显示事件",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "已指定 " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "文字颜色",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "五秒回法",
		["EVENT_EXP"] = "经验条",
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = "连击点数",
		["EVENT_PETXP"] = "宠物经验条",
		["EVENT_AMMO"] = "弹药数量",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) 不细分",
		["MARKS_FIVE"] = "(5) 切为五格",
		["MARKS_TEN"] = "(10) 切为十格",
		["MARKS_TWENTY"] = "(20) 切为20格",
		["SPHERE_SCALE"] = "球体缩放",
		["SPHERE_BUTTON_DISTANCE"] = "按钮距离",
		["SPHERE_BUTTON_SPACING"] = "按钮间隔",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "按钮角度微调",
		["SPHERE_MAIN_BUTTON_COUNT"] = "按钮数目",
		["HIDE_CENTER_SPHERE"] = "隐藏中心球体",
		["DEBUG"] = "侦错",
		["SPHERE_COLOR"] = "中心球体颜色",
		["GAUGE_COLOR"] = "资讯圈颜色",
		["BORDER_COLOR"] = "边缘颜色",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (自我施法)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (对专注目标施法)",
		["BUTTON_USEITEM"] = "使用物品",
		["BUTTON_USEMACRO"] = "使用宏",
		["BUTTON_MENU"] = "|cFF2255FF启用子选单|r",
		["BUTTON_LASTSUBMENU"] = "使用最近一次操作子选单按钮",
		["BUTTON_LASTSUBMENU2"] = "第二个之后的子选单按钮动作",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "优先使用最低级饮料",
		["BUTTON_DRINK2"] = "优先使用最高级饮料",
		["BUTTON_DRINK3"] = "优先使用最低级食物及饮料",
		["BUTTON_DRINK4"] = "优先使用最高级食物及饮料",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "优先使用最低级食物",
		["BUTTON_FOOD2"] = "优先使用最高级食物",
		["BUTTON_FOOD3"] = "优先使用最低级食物及饮料",
		["BUTTON_FOOD4"] = "优先使用最高级食物及饮料",
		["BUTTON_HEALTHPOTION"] = "|cFF00FF00回复生命物品|r",
		["BUTTON_HEALTHPOTION1"] = "优先使用最低级治疗物品",
		["BUTTON_HEALTHPOTION2"] = "优先使用最高级治疗物品",
		["BUTTON_HEALTHPOTION3"] = "优先使用最低级治疗药水",
		["BUTTON_HEALTHPOTION4"] = "优先使用最高级治疗药水",
		["BUTTON_HEALTHPOTION5"] = "优先使用最低级治疗石",
		["BUTTON_HEALTHPOTION6"] = "优先使用最高级治疗石",
		["BUTTON_MANAPOTION"] = "|cFF00FF00回复法力物品|r",
		["BUTTON_MANAPOTION1"] = "优先使用最低级法力物品",
		["BUTTON_MANAPOTION2"] = "优先使用最高级法力物品",
		["BUTTON_MANAPOTION3"] = "优先使用最低级法力药水",
		["BUTTON_MANAPOTION4"] = "优先使用最高级法力药水",
		["BUTTON_MANAPOTION5"] = "优先使用最低级法力宝石",
		["BUTTON_MANAPOTION6"] = "优先使用最高级法力宝石",
		["BUTTON_ENERGY"] = "能量药水",
		["BUTTON_ENERGY1"] = "优先使用最低级能量药水",
		["BUTTON_ENERGY2"] = "优先使用最高级能量药水",
		["BUTTON_ENERGY3"] = "使用最佳麻醉毒药于主手",
		["BUTTON_ENERGY4"] = "使用最佳麻醉毒药于副手",
		["BUTTON_ENERGY5"] = "使用最佳致命毒药于主手",
		["BUTTON_ENERGY6"] = "使用最佳致命毒药于副手",
		["BUTTON_ENERGY7"] = "使用最佳速效毒药于主手",
		["BUTTON_ENERGY8"] = "使用最佳速效毒药于副手",
		["BUTTON_ENERGY9"] = "使用最佳致伤毒药于主手",
		["BUTTON_ENERGY10"] = "使用最佳致伤毒药于副手",
		["BUTTON_RAGE"] = "怒气药水",
		["BUTTON_RAGE1"] = "优先使用最低阶怒气药水",
		["BUTTON_RAGE2"] = "优先使用最高阶怒气药水",
		["BUTTON_BANDAGE"] = "绷带",
		["BUTTON_BANDAGE1"] = "优先使用最低级绷带",
		["BUTTON_BANDAGE2"] = "优先使用最高级绷带",
		["BUTTON_MOUNT"] = "座骑",
		["BUTTON_MOUNT1"] = "选用最快速史诗座骑",
		["BUTTON_MOUNT2"] = "随机选用最快速史诗地面座骑",
		["BUTTON_MOUNT3"] = "随机选用最快速史诗飞行座骑",
		["BUTTON_MOUNT4"] = "随机使用座骑",
		["BUTTON_MOUNT5"] = "随机使用地面座骑",
		["BUTTON_MOUNT6"] = "随机使用飞行座骑",
		["BUTTON_MOUNT7"] = "选用最快速非史诗座骑",
		["BUTTON_GROUNDMOUNT"] = "地面座骑",
		["BUTTON_FLYINGMOUNT"] = "飞行座骑",

		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "选单页面",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "切换显示帮助页",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = "交易",
		["BUTTON_TRADE1"] = "交易魔法饮料",
		["BUTTON_TRADE2"] = "交易魔法食物",
		["BUTTON_TRADE3"] = "交易特定物品",
		["BUTTON_WEAPONAPPLY"] = "使用在武器上",
		["BUTTON_WEAPONAPPLY1"] = "使用在主手武器上",
		["BUTTON_WEAPONAPPLY2"] = "使用在副手武器上",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "|cff7fff7f随机招出观赏宠物|r",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "宠物动作条",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "指定动作",
		["CONVERT_TO_MENU"] = "转换至选单",
		["EDIT_BUTTONS"] = "|cffFF0000＊ 编辑模式 ＊|r",
		["FORCE_DRAGDROP"] = "强制拖放指定",
		["SUBMENU_BUTTON_COMPRESSION"] = "压缩子选单按钮",
		["MENU_BUTTON_COLOR"] = "选单颜色",
		["NORMAL_BUTTON_COLOR"] = "正常色",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "醒目标示正在编辑的按钮",
		["AUTO_CLOSE_MENUS"] = "自动关闭选单",
		["INVENTORY"] = "商店",
		["REAGENTS"] = "材料购买",
		["SPEECH"] = "施法通告",
		["SKINS"] = "外观",
		["TOOLTIPS"] = "提示",
		["TEMPLATES"] = "范本",
		["MEMORY"] = "LS管理",
		["CREDITS"] = "学分",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "变更外观",
		["AUTO_BUY_REAGENTS"] = "自动购买材料",
		["REAGENT_LIST"] = "材料清单",
		["PRINT_PURCHASE_RECEIPT"] = "列出购买材料记录",
		["VENDOR_OPTIONS"] = "商店选单",
		["AUTOSELL_JUNK"] = "自动贩售 (|cFF777777灰色)|r 物品",
		["PRINT_PROFIT"] = "列出金钱收益记录",
		["KEEP_NON_EQUIP"] = "|cFF777777普通垃圾不卖|r",
		["KEEP_WEAPONS"] = "|cFF777777灰色品质武器不卖|r",
		["KEEP_ARMOR"] = "|cFF777777灰色品质衣服不卖|r",
		["AUTO_REPAIR"] = "自动修理",
		["PRINT_REPAIR_BILL"] = "列出修理花费",
		["BYPASS_GOSSIP"] = "跳过商人拖台钱的废话",
		["AH_OPTIONS"] = "拍卖选项",
		["SHOW_TOTALS_AH"] = "列出所有竞标/拍卖细项",
		["SHOW_TOTAL_BID"] = "列出所有竞标细项",
		["SHOW_TOTAL_AH"] = "列出所有拍卖细项",
		["_ENERGY_DRINK"] = "能量药水",
		["APPLY"] = "套用",
		["HIDE_DEFAULT_UI_OBJECTS"] = "隐藏系统内建画面元件",
		["HIDE"] = "隐藏",
		["HIDE_PLAYER"] = "玩家头像",
		["HIDE_TIME"] = "小地图时间",
		["HIDE_ZOOM"] = "小地图缩放",
		["HIDE_ACTION_BUTTONS"] = "动作按钮",
		["HIDE_GRYPHONS"] = "狮鹫兽图样",
		["HIDE_EXP"] = "经验条",
		["HIDE_MENUS"] = "主选单",
		["HIDE_PET_BAR"] = "宠物条",
		["HIDE_BAGS"] = "背包",
		["HIDE_BOTTOM_BAR"] = "底部动作条",
		["HIDE_STANCE_BAR"] = "姿态列",
		["HIDE_WORLDMAP"] = "小地图 图示",
		["HIDE_CALENDAR"] = "日历 图示",
		["HIDE_TRACKING"] = "追踪 图示",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "添加至小地图",
		["SCROLL_ZOOM"] = "启用滑鼠滚轮缩放",
		["COORDS"] = "座标",
		["TIME"] = "当前时间",
		["MILITARY"] = "24 小时",
		["CURRENT_TIME_OFFSET"] = "当前时区",
		["JUNK_SALE_TEXT"] = "贩售垃圾:",
		["REPAIR_COST_TEXT"] = "修理费用:",
		["REAGENT_TOTALCOST_TEXT"] = "本次购买材料花费:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "从银行补充材料.",
		["WINDOW_TITLE_REPAIRLOG"] = "修理记录",
		["LAST_10_ENTRIES"] = "最后 10 笔记录 ...",
		["_NO_RECORDS_FOUND"] = "查无记录!",
		["START_UP_MESSAGE"] = "启始讯息",
		["MAIL_OPTIONS"] = "拍卖场信件选项",
		["RETRIEVE_ALL_MONEY"] = "收下所有送钱来的信件",
		["RETRIEVE_ALL_ITEMS"] = "收下所有送物品来的信",
		["AUTO_RESTOCK_REAGENTS"] = "自动购买材料",
		["PRINT_PURCHASE_REPORT"] = "列出购买明细",
		["REAGENTS_FROM_BANK"] = "从银行补充材料",
		["CONFIRM_OVER_10"] = "超过|cffF48CBA１０金|r以上支出再确认",
		["ITEM_REAGENT"] = "材料",
		["MAX_COUNT"] = "数目",
		["REAGENT_INSTRUCTIONS"] = "将预定购买的物品拖到窗格中, 并设定保持数量. 按 CTRL 可以移除预购物品.",
		["INSTRUCTIONS_IMPORT"] = "汇入图片列于下表, 以蓝框显示. 按 CTRL 可以移除汇入图片.",
		["OUT_OF_STOCK"] = "存量不足",
		["BUTTONS"] = "按钮",
		["TEXTURES"] = "选用材质",
		["NO_IMAGES_AVAILABLE"] = "无相关图片",
		["USE_STANCES"] = "套用姿态",
		["SHOW_ICON"] = "显示图标:",
		["SHOW_COOLDOWN"] = "显示冷却:",
		["SHOW_COUNT"] = "显示数目:",
		["SET_BUTTON_SCALE"] = "调整按钮大小",
		["SET_CHILD_SCALE"] = "调整子按钮比例",
		["SET_MENU_ANGLE"] = "调整选单角度",
		["SET_MENU_OFFSET"] = "微调选单",
		["SET_CHILD_SPACING"] = "调整子按钮间距",
		["SET_BUTTON_PADDING"] = "设定按钮填满",
		["DETACH_FROM_SPHERE"] = "自球体分离",
		["BUTTON_SUB_COUNT"] = "子选单按钮数目",
		["MENU_BUTTON_OPTIONS"] = "选单按钮选项",
		["MENU_OPEN_TYPE"] = "开启选单方式",
		["MENU_OPEN_TYPE1"] = "点击开启关闭",
		["MENU_OPEN_TYPE2"] = "滑鼠移过即开关",
		["MENU_OPEN_TYPE3"] = "永远开启",
		["MENU_USE_DELAY"] = "延迟自动关闭",
		["MENU_USE_SUBMENU_CLOSE"] = "在按下子选单按钮后自动关闭选单",
		["MENU_APPLY_ALL"] = "套用至全部按钮",
		["_SHOW_IN_COMBAT"] = "战斗中显示",
		["_HIDE_IN_COMBAT"] = "战斗中隐藏",
		["_SHOW_OUT_OF_COMBAT"] = "战斗后显示",
		["_HIDE_OUT_OF_COMBAT"] = "战斗后隐藏",
		["_BUTTON"] = "按钮",
		["_SUBMENU"] = "子选单",
		["ALWAYS_SHOW"] = "保持选单可见",
		["_KEYBIND"] = "按键绑定",
		["_KEYBIND_TOOLTIP1"] = "按键绑定选项",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "左键: 设定绑定按键",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "右键: 取消绑定按键",
		["SKIP_GLOBAL_COOLDOWN"] = "忽略 GCD",
		["AUTO_SCALE_WINDOWS"] = "自动调整设定视窗大小",
		["STATUS_BUTTON_COLORS"] = "按钮状态颜色",
		["VIVID_BUTTON_STATUS_COLORS"] = "使用自定颜色显示状态",
		["DISPLAY_BUTTON_OPTIONS"] = "按钮显示选项",
		["MENU_GLOBAL_SCALE"] = "全部按钮缩放",
		["MAIN_BUTTON_SCALE"] = "主按钮",
		["SUBMENU_BUTTON_SCALE"] = "子按钮",
		["COOLDOWN_DISPLAY_OPTIONS"] = "按钮冷却选项",
		["TOOLTIP_TYPE"] = "提示显示方式",
		["TOOLTIP_DESCRIPTIONS"] = "提示描述",
		["TOOLTIP_TYPE_SIMPLE"] = "简单",
		["TOOLTIP_TYPE_NAME"] = "只显示名称",
		["HIDE_YELLOW_TEXT"] = "隐藏黄色提示文字",
		["HIDE_GREEN_TEXT"] = "隐藏绿色提示文字",
		["HIDE_LONG_TEXT_ONLY"] = "隐藏过长文字提示",
		["TOOLTIPS_HIDE_KEYBINDS"] = "隐藏按键绑定提示",
		["TOOLTIP_COLOR"] = "提示文字颜色调整",
		["TOOLTIP_BORDER"] = "粗体",
		["TOOLTIP_BACKGROUND"] = "背景",
		["TOOLTIP_APPLY_TO_LS"] = "调整 LunarSphere 提示的颜色",
		["TOOLTIP_APPLY_TO_ALL"] = "套用至全部游戏提示",
		["TOOLTIP_ANCHOR"] = "提示锚点",
		["TOOLTIP_SET_DEFAULT"] = "设定预设提示锚点",
		["TOOLTIP_SET_ALL_ANCHORS"] = "尝试替换全部游戏提示锚点",
		["TOOLTIP_FADE_OUT"] = "按键提示淡出处理",
		["_SHOW_ANCHOR"] = "显示自定",
		["_HIDE_ANCHOR"] = "隐藏自定",
		["_SHOW"] = "显示",
		["ANCHOR_MODE"] = "LunarSphere 提示锚点",
		["ANCHOR_DEFAULT"] = "游戏提示位置",
		["ANCHOR_CUSTOM"] = "自定义提示位置",
		["ANCHOR_MOUSE"] = "滑鼠游标",
		["ANCHOR_BUTTON1"] = "按钮左上",
		["ANCHOR_BUTTON2"] = "按钮上方",
		["ANCHOR_BUTTON3"] = "按钮右上",
		["ANCHOR_BUTTON4"] = "按钮左方",
		["ANCHOR_BUTTON5"] = "按钮右方",
		["ANCHOR_BUTTON6"] = "按钮左下",
		["ANCHOR_BUTTON7"] = "按钮下方",
		["ANCHOR_BUTTON8"] = "按钮右下",
		["USE_SPHERE_CLICK_ICON"] = "使用球体点击图示",
		["_MENU_SETTINGS"] = "切换设定视窗",
		["_MENU_MOVE_SPHERE"] = "移动球体及按钮",
		["_MENU_MOVE_DETACHED"] = "移动分离按钮",
		["_MENU_EDIT_BUTTONS"] = "编辑按钮",
		["IMPORT"] = "汇入",
		["ART_TYPE"] = "图片目录",
		["ART_FILENAME"] = "图片档名",
		["WIDTH"] = "宽度",
		["HEIGHT"] = "高度",
		["_SELFCAST"] = "自我施法",
		["_FOCUSCAST"] = "焦点施法",
		["_SHIFT_TOGGLE"] = "按 Shift 点击切换开关",
		["ANY"] = "任意",
		["ACTION_ASSIGNMENT"] = "动作指定",
		["_SCRIPTS_IN_LIBRARY"] = "已保存宏 (找到 %d 个)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "宏内施法动作 (找到 %d 个)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "当前施放",
		["ODDS"] = "可能性",
		["PICK_IN_ORDER"] = "依顺序施放",
		["VIVID_NORANGE"] = "超出距离",
		["VIVID_NOMANA"] = "法力不足",
		["VIVID_NOMANARANGE"] = "法力不足并超出距离",
		["HIDE_KEYBINDS"] = "按钮上不显示绑定按键",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "启用 DrDamage 支援",
		["DRDAMAGE_SUPPORTTIP"] = "启用 DrDamage 提示",
		["IMPORT"] = "汇入",
		["EXPORT"] = "汇出",
		["MUTE_SPEECH_TAB"] = "不在频道发送施法通告",
		["SPEECHES"] = "说话",
		["SETTINGS"] = "设定",
		["_USE_GUILD_REPAIR_QUESTION"] = "系统显示您可以用工会存款支付修装费用, 你要动用吗？",
		["_MY_FUNDS"] = "当前现金",
		["_GUILD_FUNDS_TAG"] = "(工会存款)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "优先使用工会存款支付修装费",
		["CTRL_CLICK_TO_DELETE"] = "按 Ctrl 点击欲移除项目",
		["MAKE_SCRIPT_GLOBAL"] = "宏设为通用",
		["TEMPLATE_NAME"] = "范本名称",
		["TEMPLATE_FOR"] = "角色:",
		["_TEMPLATE_ALL_CLASSES"] = "全职业",
		["_TEMPLATE_DATA_SAVE"] = "存档",
		["_TEMPLATE_DATA_LOAD"] = "载入:",
		["TEMPLATE_DATA_BUTTON"] = "按钮设定",
		["TEMPLATE_DATA_KEYBIND"] = "按键绑定",
		["TEMPLATE_DATA_SPHERE"] = "中心球体设定",
		["TEMPLATE_DATA_REAGENT"] = "材料清单",
		["TEMPLATE_DATA_SKIN"] = "外观",
		["_TEMPLATE_LIST"] = "LunarSphere 范本 (找到 %d 个)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "载入",
--		["TEMPLATE_HELP"] = "范本载入或存档会有视窗跳出再确认, 当动作为载入时, 将会重新载入 UI.\n要删除全部范本, 请移至侦错选单.",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = "LunarSphere 备份档",
		["RESTORE"] = "复原回存",
		["_CURRENT_BACKUP_SIZE"] = "当前备份约占用\n%d kb 内存",
		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "停用功能",
		["_LUNAR_EXPORT_NOT_FOUND"] = "未发现 LunarSphereExporter 目录! 略过汇出指令...",
		["_NOT_IN_CACHE"] = "|cFF00FFFF不在物品快取|r",

		["MEMORY_DISABLED"] = "停用效能选项",
		["MEMORY_RELOAD"] = "需要重新载入 UI",
		["MEMORY_CPU_STATS"] = "内存及 CPU 状态",
		["MEMORY_USAGE"] = "LS 内存:",
		["MEMORY_CPU_USAGE"] = "LS CPU 占用:",
		["MEMORY_ALL_USAGE"] = "插件 内存:",
		["MEMORY_CPU_ENABLED"] = "CPU 占用追踪 (将会重载 UI)",
		["MEMORY_WATCHER_SHOW"] = "显示 内存/CPU 监测",
		["MEMORY_WATCHER_LS"] = "显示 LunarSphere 状态",
		["MEMORY_USE_SUMMARY"] = "内存使用报告",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "其它冷却效果",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "淡出颜色",
		["COOLDOWN_FX3"] = "按钮淡入",
		["COOLDOWN_FX4"] = "图标淡入",
		["COOLDOWN_FX5"] = "(水平) 色调变化",
		["COOLDOWN_FX6"] = "(垂直) 色调变化",
		["COOLDOWN_FX7"] = "(四面) 色调变化",
		["COOLDOWN_FX8"] = "(方形) 放射状",
		["COOLDOWN_SHOW_SHINE"] = "闪光显示可用",
		["COOLDOWN_SHOW_TEXT"] = "显示冷却文字",
		["COOLDOWN_COLOR_TINT"] = "图标色调",
		["COOLDOWN_COLOR_TEXT"] = "文字颜色",

		["_CLICKS"] = "点击",
		["_LS_DETAILS"] = "LunarSphere 细项",
		["_DROPDOWN_MENU"] = "下拉选单",
		["_SETTINGS_MENU"] = "设定选单",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[－编辑模式－]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "设定完毕后, 请于设定界面关闭编辑模式, 才可以开始使用" .. "|r",

		["SPEECH_VANITY_PET"] = "观赏宠物",

		["SPHERE_LOCATION"] = "Sphere location from center",
		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "对话指令 (|cFFFFFFFF也可以输入 /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/ls|r  - 指令列表",
		["_HELP3"] = "|cFFFFFFFF/ls showsphere|r  - 显示中心球体",
		["_HELP4"] = "|cFFFFFFFF/ls hidesphere|r  - 隐藏中心球体",
		["_HELP5"] = "|cFFFFFFFF/ls show|r  - 显示中心球体及全部按钮",
		["_HELP6"] = "|cFFFFFFFF/ls hide|r  - 隐藏中心球体及全部按钮",
		["_HELP7"] = "|cFFFFFFFF/ls settings|r  - 开启 LunarSphere 设定视窗",
		["_HELP8"] = "|cFFFFFFFF/ls options|r  - 开启 LunarSphere 设定视窗",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",

	};

elseif (locale == "deDE") then

	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Einstellungen  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Einstellungen",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menübutton Einstellungen",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Belegung",
		["WINDOW_TITLE_IMPORTART"] = "Grafikimport",
		["WINDOW_TITLE_TEMPLATE"] = "Vorlagenverwalter",
		["SPHERE"] = "Sphäre",
		["OUTER_GAUGE"] = "Äußerer Ring",
		["INNER_GAUGE"] = "Innerer Ring",

		["BORDERS"] = "Ränder",
		["GAUGES"] = "Ringe",
		["GAUGE_TO_EDIT"] = "Zu ändernder Ring",
		["GAUGE_SHOW"] = "Zeige Ring",
		["GAUGE_SHOW_ANIMATION"] = "Zeige Ringanimation",
		["GAUGE_EVENT"] = "Ringereignis",
		["GAUGE_MARKS"] = "Ringmarken",
		["GAUGE_MARKS_DARK"] = "Dunklere Ringmarken",
		["GAUGE_ANGLE_OFFSET"] = "Ringstartwinkel",
		["GAUGE_REVERSE"] = "Umgekehrte Füllrichtung",

		["SHOW_INNER_GAUGE_SHINE"] = "Zeige Ringreflektion innen",
		["SHOW_OUTER_GAUGE_SHINE"] = "Zeige Ringreflektion außen",
		["SHOW_SPHERE_SHINE"] = "Zeige Sphärenreflektion",
		["SHOW_BUTTON_SHINE"] = "Zeige Buttonreflektion",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Unterlegter Sphärentext",
		
		["SPHERE_TEXTURE_RANDOM"] = "Verwende zufällige Sphärentextur",

		["SPHERE_GAUGE_EVENT"] = "Sphärentext",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Zugewiesen " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Textfarbe",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Fünf Sekunden Regel",
		["EVENT_EXP"] = "Erfahrung",
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = "Combopunkte",
		["EVENT_PETXP"] = "Begleitererfahrung",
		["EVENT_AMMO"] = "Munitionszähler",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Abklingzeit",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Zähler",
		["MARKS_ZERO"] = "(0) Keine Marken",
		["MARKS_FIVE"] = "(5) Fünf Marken",
		["MARKS_TEN"] = "(10) Zehn Marken",
		["MARKS_TWENTY"] = "(20) Zwanzig Marken",
		["SPHERE_SCALE"] = "Sphärenskalierung",
		["SPHERE_BUTTON_DISTANCE"] = "Button-Sphären Abstand",
		["SPHERE_BUTTON_SPACING"] = "Button-Button Abstand",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Buttonstartwinkel",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Anzahl Hauptbuttons",
		["HIDE_CENTER_SPHERE"] = "Verstecke Sphäre",
		["DEBUG"] = "Fehlersuche",
		["SPHERE_COLOR"] = "Sphärenfarbe",
		["GAUGE_COLOR"] = "Ringfarbe",
		["BORDER_COLOR"] = "Randfarbe",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Selbstzauber)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Fokuszauber)",
		["BUTTON_USEITEM"] = "Item nutzen",
		["BUTTON_USEMACRO"] = "Makro nutzen",
		["BUTTON_MENU"] = "Menü öffnen",
		["BUTTON_LASTSUBMENU"] = "Letzte Submenüaktion",
		["BUTTON_LASTSUBMENU2"] = "Vorletzte Submenüaktion",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Nutze schwächstes Getränk",
		["BUTTON_DRINK2"] = "Nutze stärkstes Getränk",
		["BUTTON_DRINK3"] = "Nutze schwächste Mahlzeit",
		["BUTTON_DRINK4"] = "Nutze stärkste Mahlzeit",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Nutze schwächstes Essen",
		["BUTTON_FOOD2"] = "Nutze stärkstes Essen",
		["BUTTON_FOOD3"] = "Nutze schwächste Mahlzeit",
		["BUTTON_FOOD4"] = "Nutze stärkste Mahlzeit",
		["BUTTON_HEALTHPOTION"] = "Heilende Gegenstände",
		["BUTTON_HEALTHPOTION1"] = "Nutze schwächsten Heilgegenstand",
		["BUTTON_HEALTHPOTION2"] = "Nutze stärksten Heilgegenstand",
		["BUTTON_HEALTHPOTION3"] = "Nutze schwächsten Heiltrank",
		["BUTTON_HEALTHPOTION4"] = "Nutze stärksten Heiltrank",
		["BUTTON_HEALTHPOTION5"] = "Nutze schwächsten Heilstein",
		["BUTTON_HEALTHPOTION6"] = "Nutze stärksten Heilstein",
		["BUTTON_MANAPOTION"] = "Manaspendende Gegenstände",
		["BUTTON_MANAPOTION1"] = "Nutze schwächsten Managegenstand",
		["BUTTON_MANAPOTION2"] = "Nutze stärksten Managegenstand",
		["BUTTON_MANAPOTION3"] = "Nutze schwächsten Manatrank",
		["BUTTON_MANAPOTION4"] = "Nutze stärksten Manatrank",
		["BUTTON_MANAPOTION5"] = "Nutze schwächsten Manastein",
		["BUTTON_MANAPOTION6"] = "Nutze stärksten Manastein",
		["BUTTON_ENERGY"] = "Energydrinks und Gifte",
		["BUTTON_ENERGY1"] = "Nutze schwächsten Energydrink",
		["BUTTON_ENERGY2"] = "Nutze stärksten Energydrink",
		["BUTTON_ENERGY3"] = "Bestes beruhigendes Gift auf Hauptwaffe auftragen",
		["BUTTON_ENERGY4"] = "Bestes beruhigendes Gift auf Nebenwaffe auftragen",
		["BUTTON_ENERGY5"] = "Bestes tödliches Gift auf Hauptwaffe auftragen",
		["BUTTON_ENERGY6"] = "Bestes tödliches Gift auf Nebenwaffe auftragen",
		["BUTTON_ENERGY7"] = "Bestes sofort wirkendes Gift auf Hauptwaffe auftragen",
		["BUTTON_ENERGY8"] = "Bestes sofort wirkendes Gift auf Nebenwaffe auftragen",
		["BUTTON_ENERGY9"] = "Bestes Wundgift auf Hauptwaffe auftragen",
		["BUTTON_ENERGY10"] = "Bestes Wundgift auf Nebenwaffe auftragen",
		["BUTTON_RAGE"] = "Wuttränke",
		["BUTTON_RAGE1"] = "Nutze schwächsten Wuttrank",
		["BUTTON_RAGE2"] = "Nutze stärksten Wuttrank",
		["BUTTON_BANDAGE"] = "Verbände",
		["BUTTON_BANDAGE1"] = "Nutze schwächsten Verband",
		["BUTTON_BANDAGE2"] = "Nutze stärksten Verband",
		["BUTTON_MOUNT"] = "Reittiere",
		["BUTTON_MOUNT1"] = "Nutze zufälliges episches Reittier",
		["BUTTON_MOUNT2"] = "Nutze zufälliges episches Bodenreittier",
		["BUTTON_MOUNT3"] = "Nutze zufälliges episches Luftreittier",
		["BUTTON_MOUNT4"] = "Nutze zufälliges Reittier",
		["BUTTON_MOUNT5"] = "Nutze zufälliges Bodenreittier",
		["BUTTON_MOUNT6"] = "Nutze zufälliges Luftreittier",
		["BUTTON_MOUNT7"] = "Nutze zufälliges nicht-episches Reittier",
		["BUTTON_GROUNDMOUNT"] = "Bodenreittier",
		["BUTTON_FLYINGMOUNT"] = "Flugreittier",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menüleiste",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Hilfefenster ein/aus",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = "Handel",
		["BUTTON_TRADE1"] = "Beschworene Getränke handeln",
		["BUTTON_TRADE2"] = "Beschworenes Essen handeln",
		["BUTTON_TRADE3"] = "Gegenstand handeln",
		["BUTTON_WEAPONAPPLY"] = "Auf Waffe auftragen",
		["BUTTON_WEAPONAPPLY1"] = "Auf Hauptwaffe auftragen",
		["BUTTON_WEAPONAPPLY2"] = "Auf Nebenwaffe auftragen",
		["BUTTON_WEAPONAPPLY3"] = "Auf Distanzwaffen auftragen",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Zufälliges Haustier rufen",
		["BUTTON_INVENTORY4"] = "Ausrüstungsset anlegen",
		["BUTTON_PET"] = "Begleiteraktionen",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Aktion zuweisen",
		["CONVERT_TO_MENU"] = "In Menü umwandeln",
		["EDIT_BUTTONS"] = "Buttons editieren",
		["FORCE_DRAGDROP"] = "Drag'n'Drop-Zuweisung\n" .. "erzwingen ",
		["SUBMENU_BUTTON_COMPRESSION"] = "Unbenutzte Subbuttons ausblenden",
		["MENU_BUTTON_COLOR"] = "Menübuttonfarbe",
		["NORMAL_BUTTON_COLOR"] = "Buttonfarbe",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Sphäre leuchtet beim Bearbeiten",
		["AUTO_CLOSE_MENUS"] = "Menüs schließen selbständig",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagenzien",
		["SPEECH"] = "Sprüche",
		["SKINS"] = "Grafiken",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Vorlagen",
		["MEMORY"] = "Speicher",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Zu ändernde Grafik",
		["AUTO_BUY_REAGENTS"] = "Automatischer Reagenzienkauf",
		["REAGENT_LIST"] = "Reagenzienliste",
		["PRINT_PURCHASE_RECEIPT"] = "Zeige Einkaufssumme",
		["VENDOR_OPTIONS"] = "Händleroptionen",
		["AUTOSELL_JUNK"] = "Auto-Verkauf von (|cFF777777grauen)|r Items",
		["PRINT_PROFIT"] = "Zeige Verkaufssumme",
		["KEEP_NON_EQUIP"] = "Nichtausrüstbares behalten",
		["KEEP_WEAPONS"] = "Waffen behalten",
		["KEEP_ARMOR"] = "Rüstungsteile behalten",
		["AUTO_REPAIR"] = "Auto-Reparatur",
		["PRINT_REPAIR_BILL"] = "Zeige Repraturrechnung",
		["BYPASS_GOSSIP"] = "Händlergerede umgehen",
		["AH_OPTIONS"] = "Auktionshaus Einstellungen",
		["SHOW_TOTALS_AH"] = "Zeige Gesammtsumme\naller Gebote und Auktionen",
		["SHOW_TOTAL_BID"] = "Zeige Gesammtsumme aller Gebote",
		["SHOW_TOTAL_AH"] = "Zeige Gesammtsumme aller Auktionen",
		["_ENERGY_DRINK"] = "Energydrink",
		["APPLY"] = "Anwenden",
		["HIDE_DEFAULT_UI_OBJECTS"] = "Verstecken von UI-Objekten",
		["HIDE"] = "Verstecken",
		["HIDE_PLAYER"] = "Spieler",
		["HIDE_TIME"] = "Minikartenzeit",
		["HIDE_ZOOM"] = "Minikartenzoom",
		["HIDE_ACTION_BUTTONS"] = "Aktionsbuttons",
		["HIDE_GRYPHONS"] = "Greifen",
		["HIDE_EXP"] = "Erfahrungsleiste",
		["HIDE_MENUS"] = "Menübuttons",
		["HIDE_PET_BAR"] = "Begleiterleiste",
		["HIDE_BAGS"] = "Taschenbuttons",
		["HIDE_BOTTOM_BAR"] = "Hintergrund",
		["HIDE_STANCE_BAR"] = "Haltungen",
		["HIDE_WORLDMAP"] = "Weltkarte",
		["HIDE_CALENDAR"] = "Kalender",
		["HIDE_TRACKING"] = "Aufspüren",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Zur Minikarte hinzufügen",
		["SCROLL_ZOOM"] = "Zoom per Mausrad aktivieren",
		["COORDS"] = "Koordinaten",
		["TIME"] = "Aktuelle Zeit",
		["MILITARY"] = "24h Anzeige",
		["CURRENT_TIME_OFFSET"] = "Aktuelle Zeitverschiebung",
		["JUNK_SALE_TEXT"] = "Plunder verkauft:",
		["REPAIR_COST_TEXT"] = "Reparaturkosten:",
		["REAGENT_TOTALCOST_TEXT"] = "Reagenzienkosten:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagenzien aus der Bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Reparatur Log",
		["LAST_10_ENTRIES"] = "10 letzte Einträge ...",
		["_NO_RECORDS_FOUND"] = "Keine Aufzeichnungen gefunden!",
		["START_UP_MESSAGE"] = "Startnachricht",
		["MAIL_OPTIONS"] = "Auktionshaus Post",
		["RETRIEVE_ALL_MONEY"] = "Alle Nachrichten mit Geld öffnen",
		["RETRIEVE_ALL_ITEMS"] = "Alle Nachrichten mit Items öffnen",
		["AUTO_RESTOCK_REAGENTS"] = "Reagenzien automatisch auffüllen",
		["PRINT_PURCHASE_REPORT"] = "Zeige Einkaufssumme",
		["REAGENTS_FROM_BANK"] = "auch aus der Bank",
		["CONFIRM_OVER_10"] = "Einkäufe über 10 Gold bestätigen",
		["ITEM_REAGENT"] = "Reagenz",
		["MAX_COUNT"] = "Zähler",
		["REAGENT_INSTRUCTIONS"] = "Ziehe Gegenstände, die automatisch gekauft werden sollen, in den Rahmen und gib an, wieviel im Inventar sein sollen. Um einen Gegenstand zu löschen, drücke Strg und linksklicke darauf.",
		["INSTRUCTIONS_IMPORT"] = "Importierte Grafiken erscheinen am Ende der Liste in einem blauen Rahmen. Um eine Grafik zu löschen, drücke Strg und linksklicke darauf.",
		["OUT_OF_STOCK"] = "Nicht vorhanden",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texturauswahl",
		["NO_IMAGES_AVAILABLE"] = "Keine Bilder verfügbar",
		["USE_STANCES"] = "Nutze Haltung",
		["SHOW_ICON"] = "Zeige Icon:",
		["SHOW_COOLDOWN"] = "Zeige Abklingzeit:",
		["SHOW_COUNT"] = "Zeige Zähler:",
		["SET_BUTTON_SCALE"] = "Buttonskalierung",
		["SET_CHILD_SCALE"] = "Subbuttonskalierung",
		["SET_MENU_ANGLE"] = "Menüstartwinkel",
		["SET_MENU_OFFSET"] = "Submenüstartwinkel",
		["SET_CHILD_SPACING"] = "Subbuttonabstand",
		["SET_BUTTON_PADDING"] = "Buttonabstand",
		["DETACH_FROM_SPHERE"] = "Von Sphäre lösen",
		["BUTTON_SUB_COUNT"] = "Anzahl Subbuttons",
		["MENU_BUTTON_OPTIONS"] = "Menübutton Einstellungen",
		["MENU_OPEN_TYPE"] = "Menüs öffnen",
		["MENU_OPEN_TYPE1"] = "Öffnen und Schließen durch Klicken",
		["MENU_OPEN_TYPE2"] = "Öffnen durch Darübermausen",
		["MENU_OPEN_TYPE3"] = "Immer offen",
		["MENU_USE_DELAY"] = "Schließverzögerung",
		["MENU_USE_SUBMENU_CLOSE"] = "Schließen durch Subbuttonklick",
		["MENU_APPLY_ALL"] = "Auf alle Menübuttons anwenden",
		["_SHOW_IN_COMBAT"] = "Bei Kampfeintritt zeigen",
		["_HIDE_IN_COMBAT"] = "Bei Kampfbeitritt verstecken",
		["_SHOW_OUT_OF_COMBAT"] = "Bei Kampfende zeigen",
		["_HIDE_OUT_OF_COMBAT"] = "Bei Kampfende verstecken",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenü",
		["ALWAYS_SHOW"] = "Menü immer zeigen",
		["_KEYBIND"] = "Taste",
		["_KEYBIND_TOOLTIP1"] = "Tastaturbelegung",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Linksklick: Taste belegen",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Rechtsklick: Belegung entfernen",
		["SKIP_GLOBAL_COOLDOWN"] = "Allgemeine Abklingzeit umgehen",
		["AUTO_SCALE_WINDOWS"] = "Auto-Skalierung Einstellungsfenster",
		["STATUS_BUTTON_COLORS"] = "Button Statusfarben",
		["VIVID_BUTTON_STATUS_COLORS"] = "Benutzerdefinierte Statusfarben",
		["DISPLAY_BUTTON_OPTIONS"] = "Button Anzeigeeinstellungen",
		["MENU_GLOBAL_SCALE"] = "Allgemeine Skalierung der Buttons",
		["MAIN_BUTTON_SCALE"] = "Hauptbuttons",
		["SUBMENU_BUTTON_SCALE"] = "Subbuttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button Abklingzeit",
		["TOOLTIP_TYPE"] = "Tooltip Anzeigetyp",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip Beschreibungen",
		["TOOLTIP_TYPE_SIMPLE"] = "Einfach",
		["TOOLTIP_TYPE_NAME"] = "Nur Name",
		["HIDE_YELLOW_TEXT"] = "Verstecke gelben Text",
		["HIDE_GREEN_TEXT"] = "Verstecke grünen Text",
		["HIDE_LONG_TEXT_ONLY"] = "Nur langen Text",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Verstecke Tastaturbelegung",
		["TOOLTIP_COLOR"] = "Tooltipfarben",
		["TOOLTIP_BORDER"] = "Rand",
		["TOOLTIP_BACKGROUND"] = "Hintergrund",
		["TOOLTIP_APPLY_TO_LS"] = LS .. " Tooltips einfärben",
		["TOOLTIP_APPLY_TO_ALL"] = "Alle Tooltips einfärben",
		["TOOLTIP_ANCHOR"] = "WoW-Tooltip Anker",
		["TOOLTIP_SET_DEFAULT"] = "WoW-Tooltip Anker setzen",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Versuche, alle Tooltip Anker zu übernehmen",
		["TOOLTIP_FADE_OUT"] = "Button Tooltips ausblenden",
		["_SHOW_ANCHOR"] = "Zeigen",
		["_HIDE_ANCHOR"] = "Ausblenden",
		["_SHOW"] = "Zeigen",
		["ANCHOR_MODE"] = LS .. " Tooltip Anker",
		["ANCHOR_DEFAULT"] = "WoW-Tooltip Position",
		["ANCHOR_CUSTOM"] = "Benutzerdefinierte Position",
		["ANCHOR_MOUSE"] = "Mauszeiger",
		["ANCHOR_BUTTON1"] = "Links oberhalb des Buttons",
		["ANCHOR_BUTTON2"] = "Oberhalb des Buttons",
		["ANCHOR_BUTTON3"] = "Rechts oberhalb des Buttons",
		["ANCHOR_BUTTON4"] = "Links des Buttons",
		["ANCHOR_BUTTON5"] = "Rechts des Buttons",
		["ANCHOR_BUTTON6"] = "Links unterhalb des Buttons",
		["ANCHOR_BUTTON7"] = "Unterhalb des Buttons",
		["ANCHOR_BUTTON8"] = "Rechts unterhalb des Buttons",
		["USE_SPHERE_CLICK_ICON"] = "Nutze Klickicon der Sphäre",
		["_MENU_SETTINGS"] = "Einstellungsfenster umschalten",
		["_MENU_MOVE_SPHERE"] = "Sphäre und Hauptbuttons bewegen",
		["_MENU_MOVE_DETACHED"] = "Gelöste Buttons bewegen",
		["_MENU_EDIT_BUTTONS"] = "Buttons bearbeiten",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Grafikkategorie",
		["ART_FILENAME"] = "Grafikdateiname",
		["WIDTH"] = "Breite",
		["HEIGHT"] = "Höhe",
		["_SELFCAST"] = "Selbstzauber",
		["_FOCUSCAST"] = "Fokuszauber",
		["_SHIFT_TOGGLE"] = "Umschalt-Klicken zum Umschalten",
		["ANY"] = "Beliebig",
		["ACTION_ASSIGNMENT"] = "Aktionszuweisung",
		["_SCRIPTS_IN_LIBRARY"] = "Skripts in Sammlung  (%d gefunden)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Sprüche in Skript  (%d gefunden)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Aktueller Spruch",
		["ODDS"] = "Chance",
		["PICK_IN_ORDER"] = "Sprüche der Reihe nach wählen",
		["VIVID_NORANGE"] = "Zu weit weg",
		["VIVID_NOMANA"] = "Zu wenig Mana",
		["VIVID_NOMANARANGE"] = "Zu weit weg und zu wenig Mana",
		["HIDE_KEYBINDS"] = "Keine Tastaturbelegung an Buttons",
		["KEEP_KEYBINDS"] = "Tastaturbelegung an Buttons koppeln",
		["ALWAYS_SHOW_PET"] = "Begleiteraktionen nur anzeigen,\n" .. "wenn ein Begleiter aktiv ist",

		["DRDAMAGE_SUPPORT"] = "Unterstützung für DrDamage",
		["DRDAMAGE_SUPPORTTIP"] = "Aktiviere Tooltips für DrDamage",
		["IMPORT"] = "Importieren",
		["EXPORT"] = "Exportieren",
		["MUTE_SPEECH_TAB"] = "Sprüche leisestellen",
		["SPEECHES"] = "Sprüche",
		["SETTINGS"] = "Einstellungen",
		["_USE_GUILD_REPAIR_QUESTION"] = "Reparieren aus der Gildenbank möglich. Welche Geldmittel sollen benutzt werden?",
		["_MY_FUNDS"] = "Meine Mittel",
		["_GUILD_FUNDS_TAG"] = "(Gildenmittel)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Aus Gildenmitteln, wenn möglich",
		["CTRL_CLICK_TO_DELETE"] = "Strg-Klicken zum Entfernen",
		["MAKE_SCRIPT_GLOBAL"] = "Skript global zugänglich machen",
		["TEMPLATE_NAME"] = "Vorlagenname",
		["TEMPLATE_FOR"] = "Vorlage für:",
		["_TEMPLATE_ALL_CLASSES"] = "Alle Klassen",
		["_TEMPLATE_DATA_SAVE"] = "Vorlage sichert Folgendes:",
		["_TEMPLATE_DATA_LOAD"] = "Vorläge lädt Folgendes:",
		["TEMPLATE_DATA_BUTTON"] = "Buttondaten",
		["TEMPLATE_DATA_KEYBIND"] = "Tastaturbelegung",
		["TEMPLATE_DATA_SPHERE"] = "Sphärendaten",
		["TEMPLATE_DATA_REAGENT"] = "Reagenzienliste",
		["TEMPLATE_DATA_SKIN"] = "Grafikdaten",
		["_TEMPLATE_LIST"] = LS .. " Vorlagen (%d gefunden)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Laden",
		["TEMPLATE_HELP"] = "Werden Vorlagen gesichert oder geladen, erscheint ein Fenster mit zur Auswahl stehenden Sektionen.",
		["TEMPLATE_HOTSWAP"] = "Hotswap Vorlagen verwenden\n|cFFFFFFFF(UI lädt neu zum Aktivieren)|r\n|cFF00AAFF[58,1 kb Speicher verwendet]",

		["BACKUP_OPTIONS"] = LS .. " Sicherungsdatei",
		["RESTORE"] = "Laden",
		["_CURRENT_BACKUP_SIZE"] = "Aktuelle Sicherung benötigt\n%d kb Speicherplatz",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Muss einschalten hotswap Vorlagen und klicken Sie\nauf eine Vorlage, um dieses Feature zu nutzen.",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unheiliger Templer",
		["TEMPLATE_DRUID"] = "LS Gestaltwandler",
		["TEMPLATE_HUNTER"] = "LS Bestienmeister",
		["TEMPLATE_MAGE"] = "LS Elementarist",
		["TEMPLATE_PALADIN"] = "LS Kreuzzügler",
		["TEMPLATE_PRIEST"] = "LS Verteidiger",
		["TEMPLATE_ROGUE"] = "LS Halunke",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Dämonologe",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS allgemeine Vorlage",

		["LUNARSPHERE_FEATURES"] = "Abzuschaltende Funktionen",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " Ordner/Addon nicht gefunden! Befehl ignoriert ...",
		["_NOT_IN_CACHE"] = "|cFF00FFFFNicht im Zwischenspeicher|r",

		["MEMORY_DISABLED"] = "Im Speicher abgeschaltet",
		["MEMORY_RELOAD"] = "UI Neustart",
		["MEMORY_CPU_STATS"] = "Speicher und CPU Statistik",
		["MEMORY_USAGE"] = "LS Speicher:",
		["MEMORY_CPU_USAGE"] = "LS CPU-Nutzung:",
		["MEMORY_ALL_USAGE"] = "Addon Speicher:",
		["MEMORY_CPU_ENABLED"] = "CPU-Nutzung (UI lädt neu)",
		["MEMORY_WATCHER_SHOW"] = "Zeige Speicher/CPU Wächter",
		["MEMORY_WATCHER_LS"] = "Zeige " .. LS .. " Statistiken",
		["MEMORY_USE_SUMMARY"] = "Übersicht Speicherbedarf",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Effekte für die Abklingzeit",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Tönung ausblenden",
		["COOLDOWN_FX3"] = "Button einblenden",
		["COOLDOWN_FX4"] = "Icon einblenden",
		["COOLDOWN_FX5"] = "Tönung waagrecht ausblenden",
		["COOLDOWN_FX6"] = "Tönung senkrecht ausblenden",
		["COOLDOWN_FX7"] = "Tönung in beiden Richtungen ausblenden",
		["COOLDOWN_FX8"] = "Radial (quadratisch)",
		["COOLDOWN_SHOW_SHINE"] = "Bereitschaftsschimmer",
		["COOLDOWN_SHOW_TEXT"] = "Abklingzeit Text",
		["COOLDOWN_COLOR_TINT"] = "Icon Tönung",
		["COOLDOWN_COLOR_TEXT"] = "Textfarbe",

		["_CLICKS"] = "Klicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdownmenü",
		["_SETTINGS_MENU"] = "Einstellungen",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Bearbeitungsmodus]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "Um die Buttons benutzen zu können," .. "\n" ..
											"muß \"Button editieren\" über" .. "\n" ..
											"die " .. LS .. " Einstellungen ausgeschaltet sein.|r",

		["SPEECH_VANITY_PET"] = "Haustier",
		["SPHERE_LOCATION"] = "Sphärenposition",

		["DEBUG_DISABLE_ADDONS"] = "Addons ausschalten + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Addons einschalten + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Drucke Gegenstände",
		["DEBUG_DELETE_TEMPLATES"] = "Lösche gesicherte Vorlagen",
		["DEBUG_WIPE_BUTTONS"] = "Buttondaten löschen + ReloadUI",
		["DEBUG_RESET_LS"] = "ALLE Daten löschen + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Handle Stapel:",
		["DEBUG_FORCE_MINIMAP"] = "Erzwinge Minikarte als Sphärengrafik",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Zeige Fehlersuchetooltip",
		["DEBUG_310_ONLY"] = "Zufälliges episches Luft (310% nur)",

		["_HELP1"] = "Slash Befehle (|cFFFFFFFFauch möglich: /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - Diese Hilfeanzeige",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Blendet die Sphäre ein",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Blendet die Sphäre aus",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Blendet die Sphäre und alle Buttons ein",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Blendet die Sphäre und alle Buttons aus",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Öffnet die LunarSphere Einstellungen",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Öffnet die LunarSphere Einstellungen",

		["ERROR_STARTUP"] = "LunarSphere hat ein oder mehrere alte oder ungültige Dateien entdeckt. Bitte die Verzeichnisse LunarSphere und LunarSphereExport vor einer neuen Installation löschen, da einfaches Überschreiben gelegentlich nicht funktioniert.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagenzien",
		["TAB_INVENTORY"]= "Inventar",
		["TAB_SPEECH"]= "Sprüche",
		["TAB_SKINS"]= "Grafiken",
		["TAB_TEMPLATES"]= "Vorlagen",
		["TAB_OTHER"]= "Sonstiges",
		["TAB_MEMORY"]= "Speicher",
		["TAB_CREDITS"]= "Credits",
		["TAB_DISABLE_SECTION"] = "Ganze Sektion",
		["TAB_DISABLE_SETTINGS"] = "Einstellungen",
		["TAB_INVENTORY_JUNK"] = "Auto-Verkauf",
		["TAB_INVENTORY_REPAIR"] = "Reparatur",
		["TAB_INVENTORY_AHMAIL"] = "AH Post",
		["TAB_INVENTORY_AHTOTALS"] = "AH Summen",
		["TAB_OTHER_HIDEUI"] = "UI-Objekte",
		["TAB_OTHER_MINIMAP"] = "Minikarte",
		["TAB_MEMORY_STATS"] = "Statistiken",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Willkommen bei LunarSphere! Dies scheint der erste Ladevorgang von LunarSphere für diesen Character zu sein. Um die Dinge etwas einfacher zu gestalten, stehen folgende Möglichkeiten zur Verfügung:",
		["FIRST_TIME_OPT1"] = "Eine Klassenvorlage benutzen",
		["FIRST_TIME_OPT2"] = "Eine Allgemeine Vorlage benutzen",
		["FIRST_TIME_OPT3"] = "Keine Vorlage benutzen ;o)",

		-- Credits contents
		["CREDIT_CAT1"] = "Programmiert von:",
		["CREDIT_CAT2"] = "LunarSphere basiert auf Sphären Addons wie:",
		["CREDIT_CAT3"] = "Genutzter BLP Konvertierer:",
		["CREDIT_CAT4"] = "Besonderer Dank geht an:",
		["CREDIT_CAT5"] = "Übersetzt durch:",
		["CREDIT_CAT6"] = "Sehr aktive Betatester:",
		["CREDIT_CAT7"] = "Betatester:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Reittier (allgemein)",
		["LIB_NAME_FLYING_MOUNT"] = "Reittier (flugfähig)",
		["LIB_NAME_REZZING"] = "Wiederbelebung",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "Laut Anleitung muß man nur etwas Wasser dazugeben und ... Wow! Es ist ein <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "Ich würde liebend gern noch hierbleiben, aber mein <mount> braucht Training.",
		["SPEECH_GENERIC_MOUNT3"] = "Bitte anschnallen, das wird ein bißchen holprig.",
		["SPEECH_GENERIC_MOUNT4"] = "Sieht das für Euch wie ein <mount> aus? Oh, scheint so zu sein. Vergeßt es einfach.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, nichts wie ab auf meinem <mount>. Warte... da ist was schief gelaufen.",
		["SPEECH_GENERIC_MOUNT6"] = "Entschuldigt den Rauch, Leute! Mein <mount> liebt grelle Auftritte ...",
		["SPEECH_GENERIC_MOUNT7"] = "Ihr solltet mein anderes Reittier sehen ... aber es wird gerade repariert.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Wozu Magie, wenn man ein <mount> haben kann!",
		["SPEECH_GENERIC_MOUNT9"] = "Hopp, hopp, <mount>! Ich muß meinen Ruf verbessern!",
		["SPEECH_GENERIC_MOUNT10"] = "Ich mag meinen Rucksack. Irgendwie paßt mein <mount> hinein.",
		["SPEECH_FLYING_MOUNT1"] = "Irgendwer fragte mich neulich, welche Superkräfte ich gerne hätte. Ich wollte fliegen können.",
		["SPEECH_FLYING_MOUNT2"] = "Die Wolken durchgleiten, dem Wind nachjagen ... ah, das ist Leben.",
		["SPEECH_FLYING_MOUNT3"] = "Wasserbombe? Check. Fliegendes Reittier? Check. Unverdächtige Opfer? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "Schon teuer, das Ding, aber wenn es mir die ganze Rennerei erspart, schlafe ich nachts viel besser ...",
		["SPEECH_FLYING_MOUNT5"] = "Ich kann ein <mount> aus Nichts beschwören und mich darauf davonmachen.",
		["SPEECH_FLYING_MOUNT6"] = "Das sieht hier nicht wie Azeroth. Dürfte mein <mount> nicht erschrecken, also darf es zum Spielen rauskommen.",
		["SPEECH_FLYING_MOUNT7"] = "Endlich alte genug, um mit meinem <mount> durch den Himmel zu reiten! Jippieh!",
		["SPEECH_FLYING_MOUNT8"] = "Mein <mount> hat eine eingebaute Kotztüte. Deins auch?",
		["SPEECH_FLYING_MOUNT9"] = "Bomberquests, hier komme ich!",
		["SPEECH_FLYING_MOUNT10"] = "Ich hoffe, mein <mount> läßt mich nicht schon wieder mitten in der Luft fallen ...",
		["SPEECH_REZZING1"] = "Opi meinte immer, Lachen wäre die beste Medizin. Für <target> hats wohl nicht gereicht.",
		["SPEECH_REZZING2"] = "Erhebe Dich, <target>, und fürchte den Tod nimmer mehr; oder zumindest bis zum nächsten Kampf.",
		["SPEECH_REZZING3"] = "Bringt Eure Toten raus! *wirft <target> auf den Karren*",
		["SPEECH_REZZING4"] = "<target>, hör auf, den Geistheiler zu nerven und töte hier etwas!",
		["SPEECH_REZZING5"] = "Hah! Ich wollte schon immer meinen ganz persönlichen <target>-Zombie!",
		["SPEECH_REZZING6"] = "Es ist so, daß <target> nur größtenteils tot ist. Zwischen größtenteils tot und ganz tot besteht ein erheblicher Unterschied. Größtenteils tot ist ein bißchen lebendig.",
		["SPEECH_REZZING7"] = "<target> hat im Leben versagt, aber ich gebe ihm eine zweite Chance. Ja, richtig. Nicht Gott. ICH!!",
		["SPEECH_REZZING8"] = "Cool, ich habe aus der Leiche von <target> 42 Silber und 32 Kupfer geplündert!",
		["SPEECH_REZZING9"] = "<target>, ich hoffe, Du versuchst nicht schon wieder, eine Mund-zu-Mund-Beatmung von mir zu bekommen.",
		["SPEECH_REZZING10"] = "<target>, es ist manaeffizienter, Dich einfach wiederzubeleben. Haha, nur ein Spaß!",
		["SPEECH_REZZING11"] = "Naja, <target>, hättest Du einen besseren Ruf bei <player>, hätte es vielleicht mit der Heilung geklappt. Wie Du ihn verbessern kannst? 1g = 15 Ruf.",
		["SPEECH_REZZING12"] = "<target>, wenn Du diese Wiederbelebung akzepierst, verpfändest Du Deine unsterbliche Seele an <player>. \"Annehmen\" zum Fortfahren.",
		["SPEECH_REZZING13"] = "Leute, das ist ein klassisches Beispiel, warum <target> nicht tanken sollte.",
		["SPEECH_REZZING14"] = "Hetz mich nicht, <target>. Hetz den Wunderheiler, und Du bekommst schlechte Wunder.",
		["SPEECH_REZZING15"] = "Der Tod greift nach Dir, <target>! Mit langen, scharfen Klauen!",
		["SPEECH_REZZING16"] = "Ich belebe <target> wieder. Mögliche Nebenwirklungen: Übelkeit, explodierende Innereien, Heißhunger nach Hirn und Impotenz. Wiederbelebung ist nicht für Jedermann. Bitte befragen Sie Ihren Heiler, bevr Sie sterben.",
		["SPEECH_REZZING17"] = "Verdammt, <target>, ich bin Arzt! Kein Priester! ... Moment ... Vergiß es. Ich belebe <target> wieder.",
		["SPEECH_REZZING18"] = "... dem Tod ein Schnippchen zu schlagen ist nicht gerade Deine starke Seite, <target>.",
		["SPEECH_REZZING19"] = "Ich gebe <target> eine neue Chance, sich zu blamieren.",
		["SPEECH_REZZING20"] = "He, <target>, siehst Du bitte nach, ob Elvis wirklich tot ist? ... und ob er Dich in der Gruppe hier ersetzen könnte?",
		["SPEECH_REZZING21"] = "<target>, ich HATTE Dich gewarnt, aber hast Du auf mich gehört? Oh nein, Du WUSSTEST es ja besser? Es ist ja nur ein harmloses kleines \"Häschen\", nicht?",
		["SPEECH_REZZING22"] = "Ts ts, <target>. Ich sagte Dir doch, Du sollst die Jungfrau opfern.",
		["SPEECH_REZZING23"] = "Du verdienst kein süßes Wiederbelebungsmakro, <target>. Du verdienst den Tod. Aber da es dafür scheinbar zu spät ist, also, ehm... naja.",
		["SPEECH_REZZING24"] = "Entschuldige, <target>, ich konnte Dich nicht heilen. Ich war zu sehr mit Tanken beschäftigt.",
		["SPEECH_REZZING25"] = "Hat es weh getan, <target>, als Du aus dem Himmel gefallen bist? Oh, warte. Du bist tot. Ich weiß nicht, worauf ich eigentlich hinauswollte. Vergiß es einfach.",

	};

elseif (locale == "koKR") then
	
	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
--		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load. Loading requires a UI refresh.\n\nTo delete ALL templates that are saved, visit the Debug tab (for now).",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
											"turn off the \"Edit Button\" mode via the" .. "\n" ..
											LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",
	
	};

elseif (locale == "ruRU") then
	
	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
--		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load. Loading requires a UI refresh.\n\nTo delete ALL templates that are saved, visit the Debug tab (for now).",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
											"turn off the \"Edit Button\" mode via the" .. "\n" ..
											LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",
	
	};

elseif (locale == "esES") then
	
	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
--		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load. Loading requires a UI refresh.\n\nTo delete ALL templates that are saved, visit the Debug tab (for now).",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
											"turn off the \"Edit Button\" mode via the" .. "\n" ..
											LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",
	
	};

elseif (locale == "esMX") then
	
	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v." .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
--		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load. Loading requires a UI refresh.\n\nTo delete ALL templates that are saved, visit the Debug tab (for now).",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
											"turn off the \"Edit Button\" mode via the" .. "\n" ..
											LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",
	
	};

else
	LSMACRO = "Macro";

	Lunar.Locale = {
		["WINDOW_TITLE_SETTINGS"] = LS .. " Settings  [v."  .. localeVersion .. "]",
		["WINDOW_TITLE_BUTTONSETTINGS"] = "Button Settings",
		["WINDOW_TITLE_MENUSETTINGS"] = "Menu Button Settings",
		["WINDOW_TITLE_ACTIONASSIGNMENT"] = "Assignment",
		["WINDOW_TITLE_IMPORTART"] = "Import Art",
		["WINDOW_TITLE_TEMPLATE"] = "Template Handler",
		["SPHERE"] = "Sphere",
		["OUTER_GAUGE"] = "Outer Gauge",
		["INNER_GAUGE"] = "Inner Gauge",

		["BORDERS"] = "Borders",
		["GAUGES"] = "Gauges",
		["GAUGE_TO_EDIT"] = "Gauge to modify",
		["GAUGE_SHOW"] = "Show gauge",
		["GAUGE_SHOW_ANIMATION"] = "Show gauge animation",
		["GAUGE_EVENT"] = "Gauge event",
		["GAUGE_MARKS"] = "Gauge marks",
		["GAUGE_MARKS_DARK"] = "Darken marks",
		["GAUGE_ANGLE_OFFSET"] = "Gauge angle offset",
		["GAUGE_REVERSE"] = "Reverse gauge direction",

		["SHOW_INNER_GAUGE_SHINE"] = "Show Inner Gauge Shine",
		["SHOW_OUTER_GAUGE_SHINE"] = "Show Outer Gauge Shine",
		["SHOW_SPHERE_SHINE"] = "Show Sphere Shine",
		["SHOW_BUTTON_SHINE"] = "Show Button Shine",
		["SHOW_SPHERE_TEXT_SHADOW"] = "Show Sphere Text Shadow",
		
		["SPHERE_TEXTURE_RANDOM"] = "Use random sphere texture",

		["SPHERE_GAUGE_EVENT"] = "Sphere Text Event",
		["SPHERE_ACTION_DISPLAY_TEXT"] = "Assigned " .. PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE,
		["SPHERE_TEXT_COLOR"] = "Text color",

		["EVENT_NONE"] = NONE,
		["EVENT_PLAYER"] = PLAYER,
		["EVENT_PLAYER1"] = PLAYER .. " - " .. HEALTH,
		["EVENT_PLAYER2"] = PLAYER .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_TARGET"] = TARGET,
		["EVENT_TARGET1"] = TARGET .. " - " .. HEALTH,
		["EVENT_TARGET2"] = TARGET .. " - " .. MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_POWER"] = MANA .. "/" .. ENERGY .. "/" .. RAGE .. "/" .. FOCUS,
		["EVENT_FIVE"] = "Five Second Rule",
		["EVENT_EXP"] = COMBAT_XP_GAIN,
		["EVENT_REP"] = REPUTATION,
		["EVENT_COMBO"] = COMBAT_TEXT_SHOW_COMBO_POINTS_TEXT,
		["EVENT_PETXP"] = "Pet Experience",
		["EVENT_AMMO"] = "Ammo Count",
		["EVENT_EXTRA_POWER"] = ATTACK_POWER .. " (___)",

		["EVENT_ACTION_COOLDOWN"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Cooldown",
		["EVENT_ACTION_COUNT"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. " Count",
		["MARKS_ZERO"] = "(0) None",
		["MARKS_FIVE"] = "(5) Five Marks",
		["MARKS_TEN"] = "(10) Ten Marks",
		["MARKS_TWENTY"] = "(20) Twenty Marks",
		["SPHERE_SCALE"] = "Sphere Scale",
		["SPHERE_BUTTON_DISTANCE"] = "Button Distance",
		["SPHERE_BUTTON_SPACING"] = "Button Spacing",
		["SPHERE_BUTTON_ANGLE_OFFSET"] = "Button Angle Offset",
		["SPHERE_MAIN_BUTTON_COUNT"] = "Main Button Count",
		["HIDE_CENTER_SPHERE"] = "Hide center sphere",
		["DEBUG"] = "Debug",
		["SPHERE_COLOR"] = "Sphere Color",
		["GAUGE_COLOR"] = "Gauge Color",
		["BORDER_COLOR"] = "Border Color",
		["DEFAULT"] = DEFAULT,
		["BUTTON_SPELL_ITEM_MACRO"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO,
		["BUTTON_SELFCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Self-cast)",
		["BUTTON_FOCUSCAST"] = PLAYERSTAT_SPELL_COMBAT .. "/" .. HELPFRAME_ITEM_TITLE .. "/" .. LSMACRO .. " (Focus-cast)",
		["BUTTON_USEITEM"] = "Use an item",
		["BUTTON_USEMACRO"] = "Use a macro",
		["BUTTON_MENU"] = "Open Menu",
		["BUTTON_LASTSUBMENU"] = "Last used submenu action",
		["BUTTON_LASTSUBMENU2"] = "Second to last submenu action",
		["BUTTON_DRINK"] = TUTORIAL_TITLE12,
		["BUTTON_DRINK1"] = "Use weakest drink",
		["BUTTON_DRINK2"] = "Use strongest drink",
		["BUTTON_DRINK3"] = "Use weakest food and drink",
		["BUTTON_DRINK4"] = "Use strongest food and drink",
		["BUTTON_FOOD"] = TUTORIAL_TITLE11,
		["BUTTON_FOOD1"] = "Use weakest food",
		["BUTTON_FOOD2"] = "Use strongest food",
		["BUTTON_FOOD3"] = "Use weakest food and drink",
		["BUTTON_FOOD4"] = "Use strongest food and drink",
		["BUTTON_HEALTHPOTION"] = "Healing item",
		["BUTTON_HEALTHPOTION1"] = "Use weakest healing item",
		["BUTTON_HEALTHPOTION2"] = "Use strongest healing item",
		["BUTTON_HEALTHPOTION3"] = "Use weakest health potion",
		["BUTTON_HEALTHPOTION4"] = "Use strongest health potion",
		["BUTTON_HEALTHPOTION5"] = "Use weakest healthstone",
		["BUTTON_HEALTHPOTION6"] = "Use strongest healthstone",
		["BUTTON_MANAPOTION"] = "Mana item",
		["BUTTON_MANAPOTION1"] = "Use weakest mana item",
		["BUTTON_MANAPOTION2"] = "Use strongest mana item",
		["BUTTON_MANAPOTION3"] = "Use weakest mana potion",
		["BUTTON_MANAPOTION4"] = "Use strongest mana potion",
		["BUTTON_MANAPOTION5"] = "Use weakest mana gem",
		["BUTTON_MANAPOTION6"] = "Use strongest mana gem",
		["BUTTON_ENERGY"] = "Energy drinks and Poisons",
		["BUTTON_ENERGY1"] = "Use weakest energy drink",
		["BUTTON_ENERGY2"] = "Use strongest energy drink",
		["BUTTON_ENERGY3"] = "Apply best Anesthetic Poison to main-hand",
		["BUTTON_ENERGY4"] = "Apply best Anesthetic Poison to off-hand",
		["BUTTON_ENERGY5"] = "Apply best Deadly Poison to main-hand",
		["BUTTON_ENERGY6"] = "Apply best Deadly Poison to off-hand",
		["BUTTON_ENERGY7"] = "Apply best Instant Poison to main-hand",
		["BUTTON_ENERGY8"] = "Apply best Instant Poison to off-hand",
		["BUTTON_ENERGY9"] = "Apply best Wound Poison to main-hand",
		["BUTTON_ENERGY10"] = "Apply best Wound Poison to off-hand",
		["BUTTON_RAGE"] = "Rage potion",
		["BUTTON_RAGE1"] = "Use weakest rage potion",
		["BUTTON_RAGE2"] = "Use strongest rage potion",
		["BUTTON_BANDAGE"] = "Bandage",
		["BUTTON_BANDAGE1"] = "Use weakest bandage",
		["BUTTON_BANDAGE2"] = "Use strongest bandage",
		["BUTTON_MOUNT"] = MOUNT, 
		["BUTTON_MOUNT1"] = "Use random epic mount",
		["BUTTON_MOUNT2"] = "Use random epic ground mount",
		["BUTTON_MOUNT3"] = "Use random epic flying mount",
		["BUTTON_MOUNT4"] = "Use random mount",
		["BUTTON_MOUNT5"] = "Use random ground mount",
		["BUTTON_MOUNT6"] = "Use random flying mount",
		["BUTTON_MOUNT7"] = "Use random non-epic mount",
		["BUTTON_GROUNDMOUNT"] = "Ground mount",
		["BUTTON_FLYINGMOUNT"] = "Flying mount",
		["BUTTON_BAG"] = BAGSLOTTEXT,
		["BUTTON_BAG1"] = BINDING_NAME_TOGGLEBACKPACK,
		["BUTTON_BAG2"] = BINDING_NAME_TOGGLEBAG1,
		["BUTTON_BAG3"] = BINDING_NAME_TOGGLEBAG2,
		["BUTTON_BAG4"] = BINDING_NAME_TOGGLEBAG3,
		["BUTTON_BAG5"] = BINDING_NAME_TOGGLEBAG4,
		["BUTTON_BAG6"] = BINDING_NAME_OPENALLBAGS,
		["BUTTON_BAG7"] = BINDING_NAME_TOGGLEKEYRING,
		["BUTTON_MENUBAR"] = "Menu bar tabs",
		["BUTTON_MENUBAR1"] = BINDING_NAME_TOGGLECHARACTER0,
		["BUTTON_MENUBAR2"] = BINDING_NAME_TOGGLESPELLBOOK,
		["BUTTON_MENUBAR3"] = BINDING_NAME_TOGGLETALENTS,
		["BUTTON_MENUBAR4"] = BINDING_NAME_TOGGLEQUESTLOG,
		["BUTTON_MENUBAR5"] = BINDING_NAME_TOGGLEGUILDTAB,
		["BUTTON_MENUBAR6"] = BINDING_NAME_TOGGLELFGPARENT,
		["BUTTON_MENUBAR7"] = BINDING_NAME_TOGGLEGAMEMENU,
		["BUTTON_MENUBAR8"] = "Toggle Help Pane",
		["BUTTON_MENUBAR9"] = BINDING_NAME_TOGGLEACHIEVEMENT,
		["BUTTON_MENUBAR10"] = BINDING_NAME_TOGGLEPVP,
		["BUTTON_TRADE"] = TRADE,
		["BUTTON_TRADE1"] = "Trade conjured water",
		["BUTTON_TRADE2"] = "Trade conjured food",
		["BUTTON_TRADE3"] = "Trade specific item",
		["BUTTON_WEAPONAPPLY"] = "Apply to weapon",
		["BUTTON_WEAPONAPPLY1"] = "Apply to main-hand weapon",
		["BUTTON_WEAPONAPPLY2"] = "Apply to off-hand weapon",
		["BUTTON_WEAPONAPPLY3"] = "Apply to ranged weapon",
		["BUTTON_INVENTORY"] = INVENTORY_TOOLTIP,
		["BUTTON_INVENTORY1"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET0SLOT .. " #1",
		["BUTTON_INVENTORY2"] = ITEM_SPELL_TRIGGER_ONUSE .. " " .. TRINKET1SLOT .. " #2",
		["BUTTON_INVENTORY3"] = "Summon random vanity pet",
		["BUTTON_INVENTORY4"] = "Equip equipment set",
		["BUTTON_PET"] = "Pet action bar",
		["BUTTON_PET1"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON1,
		["BUTTON_PET2"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON2,
		["BUTTON_PET3"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON3,
		["BUTTON_PET4"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON4,
		["BUTTON_PET5"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON5,
		["BUTTON_PET6"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON6,
		["BUTTON_PET7"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON7,
		["BUTTON_PET8"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON8,
		["BUTTON_PET9"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON9,
		["BUTTON_PET10"] = PET .. " " .. BINDING_NAME_ACTIONBUTTON10,
		["ASSIGN_ACTION"] = "Assign action",
		["CONVERT_TO_MENU"] = "Convert to Menu",
		["EDIT_BUTTONS"] = "Edit Buttons",
		["FORCE_DRAGDROP"] = "Force drag-and-drop\n" .. "assignment",
		["SUBMENU_BUTTON_COMPRESSION"] = "Compress Submenu Buttons",
		["MENU_BUTTON_COLOR"] = "Menu Color",
		["NORMAL_BUTTON_COLOR"] = "Normal Color",
		["SHOW_UNLOCKED_SPHERE_GLOW"] = "Show Button Edit Glow",
		["AUTO_CLOSE_MENUS"] = "Auto-Close Menus",
		["INVENTORY"] = INVENTORY_TOOLTIP,
		["REAGENTS"] = "Reagents",
		["SPEECH"] = "Speech",
		["SKINS"] = "Skins",
		["TOOLTIPS"] = "Tooltips",
		["TEMPLATES"] = "Templates",
		["MEMORY"] = "Memory",
		["CREDITS"] = "Credits",
		["OTHER"] = FACTION_OTHER,
		["SKIN_TO_EDIT"] = "Skin to change",
		["AUTO_BUY_REAGENTS"] = "Auto-Buy Reagent List",
		["REAGENT_LIST"] = "Reagent List",
		["PRINT_PURCHASE_RECEIPT"] = "Print Purchase Receipt",
		["VENDOR_OPTIONS"] = "Vendor Options",
		["AUTOSELL_JUNK"] = "Auto-Sell Junk (|cFF777777Gray)|r Items",
		["PRINT_PROFIT"] = "Printout Profit Report",
		["KEEP_NON_EQUIP"] = "Don't sell non-equip items",
		["KEEP_WEAPONS"] = "Don't sell weapons",
		["KEEP_ARMOR"] = "Don't sell armor",
		["AUTO_REPAIR"] = "Auto-Repair",
		["PRINT_REPAIR_BILL"] = "Printout Repair Bill",
		["BYPASS_GOSSIP"] = "Bypass Vendor Gossip",
		["AH_OPTIONS"] = "Auction House Options",
		["SHOW_TOTALS_AH"] = "Show total of your bids/auctions",
		["SHOW_TOTAL_BID"] = "Show total of all your bids",
		["SHOW_TOTAL_AH"] = "Show total of all your auctions",
		["_ENERGY_DRINK"] = "Energy Drink",
		["APPLY"] = APPLY,
		["HIDE_DEFAULT_UI_OBJECTS"] = "Hide Default UI Objects",
		["HIDE"] = HIDE,
		["HIDE_PLAYER"] = "Player Frame",
		["HIDE_TIME"] = "Minimap Time",
		["HIDE_ZOOM"] = "Minimap Zoom",
		["HIDE_ACTION_BUTTONS"] = "Action Buttons",
		["HIDE_GRYPHONS"] = "Gryphons",
		["HIDE_EXP"] = "Experience Bars",
		["HIDE_MENUS"] = "Menu Buttons",
		["HIDE_PET_BAR"] = "Pet Bar",
		["HIDE_BAGS"] = "Bag Buttons",
		["HIDE_BOTTOM_BAR"] = "Bottom Bar",
		["HIDE_STANCE_BAR"] = "Stance Bar",
		["HIDE_WORLDMAP"] = "Worldmap Icon",
		["HIDE_CALENDAR"] = "Calendar Icon",
		["HIDE_TRACKING"] = "Tracking Icon",
		["HIDE_MINIMAP"] = MINIMAP_LABEL,
		["HIDE_TOTEMBAR"] = TUTORIAL_TITLE47,
		["ADD_TO_MINIMAP"] = "Add to Minimap",
		["SCROLL_ZOOM"] = "Enable scrollwheel zoom",
		["COORDS"] = "Coordinates",
		["TIME"] = "Current Time",
		["MILITARY"] = "24 hour",
		["CURRENT_TIME_OFFSET"] = "Current Time Offset",
		["JUNK_SALE_TEXT"] = "Junk vendored:",
		["REPAIR_COST_TEXT"] = "Repair cost:",
		["REAGENT_TOTALCOST_TEXT"] = "Total reagent cost:",
		["_REAGENT_BANKRESTOCK_TEXT"] = "Reagents restocked from bank.",
		["WINDOW_TITLE_REPAIRLOG"] = "Repair Log",
		["LAST_10_ENTRIES"] = "Last 10 Entries ...",
		["_NO_RECORDS_FOUND"] = "No records found!",
		["START_UP_MESSAGE"] = "Start-up Message",
		["MAIL_OPTIONS"] = "Auction Mail Options",
		["RETRIEVE_ALL_MONEY"] = "Get all mail with money attached",
		["RETRIEVE_ALL_ITEMS"] = "Get all mail with items attached",
		["AUTO_RESTOCK_REAGENTS"] = "Auto-Restock Reagents",
		["PRINT_PURCHASE_REPORT"] = "Printout Purchase Summary",
		["REAGENTS_FROM_BANK"] = "Also pull reagents from bank",
		["CONFIRM_OVER_10"] = "Confirm purchases over 10 gold",
		["ITEM_REAGENT"] = "Reagent",
		["MAX_COUNT"] = "Count",
		["REAGENT_INSTRUCTIONS"] = "Drag items that you want to purchase into the list frame and set the maximum count to have in inventory. To delete an item, hold CTRL and click on it.",
		["INSTRUCTIONS_IMPORT"] = "Imported art appears at the bottom of the list, with a blue border. To delete an imported art item, hold CTRL and click on it.",
		["OUT_OF_STOCK"] = "Out of stock",
		["BUTTONS"] = "Buttons",
		["TEXTURES"] = "Texture Selection",
		["NO_IMAGES_AVAILABLE"] = "No Images Available",
		["USE_STANCES"] = "Use stances",
		["SHOW_ICON"] = "Show icon:",
		["SHOW_COOLDOWN"] = "Show cooldown:",
		["SHOW_COUNT"] = "Show count:",
		["SET_BUTTON_SCALE"] = "Set button scale",
		["SET_CHILD_SCALE"] = "Set child scale",
		["SET_MENU_ANGLE"] = "Set menu angle",
		["SET_MENU_OFFSET"] = "Set menu offset",
		["SET_CHILD_SPACING"] = "Set child spacing",
		["SET_BUTTON_PADDING"] = "Set button padding",
		["DETACH_FROM_SPHERE"] = "Detach from sphere",
		["BUTTON_SUB_COUNT"] = "Submenu button count",
		["MENU_BUTTON_OPTIONS"] = "Menu button options",
		["MENU_OPEN_TYPE"] = "Menu opening style",
		["MENU_OPEN_TYPE1"] = "Click to open, click to close",
		["MENU_OPEN_TYPE2"] = "Open while mouse is over button",
		["MENU_OPEN_TYPE3"] = "Always open, never closes",
		["MENU_USE_DELAY"] = "Set auto-close delay",
		["MENU_USE_SUBMENU_CLOSE"] = "Auto-close menu upon submenu button click",
		["MENU_APPLY_ALL"] = "Apply to all menu buttons",
		["_SHOW_IN_COMBAT"] = "Show on combat start",
		["_HIDE_IN_COMBAT"] = "Hide on combat start",
		["_SHOW_OUT_OF_COMBAT"] = "Show on combat end",
		["_HIDE_OUT_OF_COMBAT"] = "Hide on combat end",
		["_BUTTON"] = "Button",
		["_SUBMENU"] = "Submenu",
		["ALWAYS_SHOW"] = "Always show menu",
		["_KEYBIND"] = "Keybind",
		["_KEYBIND_TOOLTIP1"] = "Keybind options",
		["_KEYBIND_TOOLTIP2"] = "|cFFFFFFFF" .. "Left-click: Set keybind",
		["_KEYBIND_TOOLTIP3"] = "|cFFFFFFFF" .. "Right-click: Remove keybind",
		["SKIP_GLOBAL_COOLDOWN"] = "Skip global cooldown",
		["AUTO_SCALE_WINDOWS"] = "Auto-scale settings windows",
		["STATUS_BUTTON_COLORS"] = "Button status colors",
		["VIVID_BUTTON_STATUS_COLORS"] = "Use custom status colors",
		["DISPLAY_BUTTON_OPTIONS"] = "Button display options",
		["MENU_GLOBAL_SCALE"] = "Global scale of buttons",
		["MAIN_BUTTON_SCALE"] = "Main buttons",
		["SUBMENU_BUTTON_SCALE"] = "Submenu buttons",
		["COOLDOWN_DISPLAY_OPTIONS"] = "Button cooldown options",
		["TOOLTIP_TYPE"] = "Tooltip display type",
		["TOOLTIP_DESCRIPTIONS"] = "Tooltip descriptions",
		["TOOLTIP_TYPE_SIMPLE"] = "Simple",
		["TOOLTIP_TYPE_NAME"] = "Name only",
		["HIDE_YELLOW_TEXT"] = "Hide yellow tooltip text",
		["HIDE_GREEN_TEXT"] = "Hide green tooltip text",
		["HIDE_LONG_TEXT_ONLY"] = "Long text only",
		["TOOLTIPS_HIDE_KEYBINDS"] = "Hide keybind text on tooltips",
		["TOOLTIP_COLOR"] = "Tooltip color",
		["TOOLTIP_BORDER"] = "Border",
		["TOOLTIP_BACKGROUND"] = "Background",
		["TOOLTIP_APPLY_TO_LS"] = "Color " .. LS .. " tooltips",
		["TOOLTIP_APPLY_TO_ALL"] = "Apply color to all tooltips",
		["TOOLTIP_ANCHOR"] = "GameTooltip anchor",
		["TOOLTIP_SET_DEFAULT"] = "Set default GameTooltip anchor",
		["TOOLTIP_SET_ALL_ANCHORS"] = "Try to hijack all GameTooltip anchors",
		["TOOLTIP_FADE_OUT"] = "Fade out button tooltips",
		["_SHOW_ANCHOR"] = "Show custom",
		["_HIDE_ANCHOR"] = "Hide custom",
		["_SHOW"] = "Show",
		["ANCHOR_MODE"] = LS .. " tooltip anchor",
		["ANCHOR_DEFAULT"] = "GameTooltip location",
		["ANCHOR_CUSTOM"] = "Custom anchor location",
		["ANCHOR_MOUSE"] = "Mouse cursor",
		["ANCHOR_BUTTON1"] = "Top left of button",
		["ANCHOR_BUTTON2"] = "Top of button",
		["ANCHOR_BUTTON3"] = "Top right of button",
		["ANCHOR_BUTTON4"] = "Left of button",
		["ANCHOR_BUTTON5"] = "Right of button",
		["ANCHOR_BUTTON6"] = "Bottom left of button",
		["ANCHOR_BUTTON7"] = "Bottom of button",
		["ANCHOR_BUTTON8"] = "Bottom right of button",
		["USE_SPHERE_CLICK_ICON"] = "Use sphere click icon",
		["_MENU_SETTINGS"] = "Toggle settings window",
		["_MENU_MOVE_SPHERE"] = "Move sphere and attached buttons",
		["_MENU_MOVE_DETACHED"] = "Move detached buttons",
		["_MENU_EDIT_BUTTONS"] = "Edit buttons",
		["IMPORT"] = "Import",
		["ART_TYPE"] = "Art catagory",
		["ART_FILENAME"] = "Art filename",
		["WIDTH"] = "Width",
		["HEIGHT"] = "Height",
		["_SELFCAST"] = "Self-cast",
		["_FOCUSCAST"] = "Focus-cast",
		["_SHIFT_TOGGLE"] = "Shift-click to toggle on/off",
		["ANY"] = "Any",
		["ACTION_ASSIGNMENT"] = "Action assignment",
		["_SCRIPTS_IN_LIBRARY"] = "Scripts in library  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_SPEECHES_IN_SCRIPT"] = "Speeches in script  (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["CURRENT_SPEECH"] = "Current speech",
		["ODDS"] = "Odds",
		["PICK_IN_ORDER"] = "Pick speeches in order",
		["VIVID_NORANGE"] = "Out of range",
		["VIVID_NOMANA"] = "Out of mana",
		["VIVID_NOMANARANGE"] = "Out of mana and range",
		["HIDE_KEYBINDS"] = "Hide keybind text on buttons",
		["KEEP_KEYBINDS"] = "Keep keybinds while swapping",
		["ALWAYS_SHOW_PET"] = "Only show pet button types\n" .. "when pet is out",

		["DRDAMAGE_SUPPORT"] = "Enable DrDamage support",
		["DRDAMAGE_SUPPORTTIP"] = "Enable DrDamage tooltips",
		["IMPORT"] = "Import",
		["EXPORT"] = "Export",
		["MUTE_SPEECH_TAB"] = "Mute speech tab",
		["SPEECHES"] = "Speeches",
		["SETTINGS"] = "Settings",
		["_USE_GUILD_REPAIR_QUESTION"] = "It appears that you can repair from guild funds. Where would you like to repair from?",
		["_MY_FUNDS"] = "My Funds",
		["_GUILD_FUNDS_TAG"] = "(Guild Funds)",
		["_GUILD_FUNDS_TAG_SMALL"] = "|cFF00CC00" .. "G" .. "|r",
		["USE_GUILD_FUNDS"] = "Use guild repair when possible",
		["CTRL_CLICK_TO_DELETE"] = "Ctrl-click to remove item",
		["MAKE_SCRIPT_GLOBAL"] = "Make script global",
		["TEMPLATE_NAME"] = "Name of template",
		["TEMPLATE_FOR"] = "Template is for:",
		["_TEMPLATE_ALL_CLASSES"] = "All classes",
		["_TEMPLATE_DATA_SAVE"] = "Data to save to template:",
		["_TEMPLATE_DATA_LOAD"] = "Data to load from template:",
		["TEMPLATE_DATA_BUTTON"] = "Button data",
		["TEMPLATE_DATA_KEYBIND"] = "Keybind data",
		["TEMPLATE_DATA_SPHERE"] = "Sphere data",
		["TEMPLATE_DATA_REAGENT"] = "Reagent list",
		["TEMPLATE_DATA_SKIN"] = "Skin data",
		["_TEMPLATE_LIST"] = LS .. " Templates (%d found)", -- Depending on language, it might be "3 found" or "found 3", so place the %d where the number would go
		["_LOAD"] = "Load",
--		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load. Loading requires a UI refresh.\n\nTo delete ALL templates that are saved, visit the Debug tab (for now).",
		["TEMPLATE_HELP"] = "While saving or loading a template, a window will appear allowing you to select sections to save or load.",
		["TEMPLATE_HOTSWAP"] = "Allow hotswap templates\n|cFFFFFFFF(Reloads UI to turn on)|r\n|cFF00AAFF[58.1 kb memory use]",
		["_TEMPLATES_DUAL_TOOLTIP"] = "Must turn on hotswap templates and\nclick a template to use this feature.",

		["BACKUP_OPTIONS"] = LS .. " backup file",
		["RESTORE"] = "Restore",
		["_CURRENT_BACKUP_SIZE"] = "Current backup takes up\n%d kb of memory",

		["TEMPLATE_DEATHKNIGHT"] = "LS Unholy Templar",
		["TEMPLATE_DRUID"] = "LS Shapeshifter",
		["TEMPLATE_HUNTER"] = "LS Beastmaster",
		["TEMPLATE_MAGE"] = "LS Elementialist",
		["TEMPLATE_PALADIN"] = "LS Crusader",
		["TEMPLATE_PRIEST"] = "LS Vindicator",
		["TEMPLATE_ROGUE"] = "LS Rapscallion",
		["TEMPLATE_SHAMAN"] = "LS Angakok",
		["TEMPLATE_WARLOCK"] = "LS Demon-summoner",
		["TEMPLATE_WARRIOR"] = "LS Spartan",
		["TEMPLATE_DEFAULT"] = "LS Generic setup",

		["LUNARSPHERE_FEATURES"] = "Features to disable",
		["_LUNAR_EXPORT_NOT_FOUND"] = LSE .. " folder/addon not found! Command ignored...", 
		["_NOT_IN_CACHE"] = "|cFF00FFFFNot in item cache|r",

		["MEMORY_DISABLED"] = "Disabled in Memory Tab",
		["MEMORY_RELOAD"] = "Requires UI reload",
		["MEMORY_CPU_STATS"] = "Memory and CPU Stats",
		["MEMORY_USAGE"] = "LS memory:",
		["MEMORY_CPU_USAGE"] = "LS CPU usage:",
		["MEMORY_ALL_USAGE"] = "Addon memory:",
		["MEMORY_CPU_ENABLED"] = "CPU profiling (will reload UI)",
		["MEMORY_WATCHER_SHOW"] = "Show memory/cpu watcher",
		["MEMORY_WATCHER_LS"] = "Show " .. LS .. " stats",
		["MEMORY_USE_SUMMARY"] = "Memory usage summary",
		["_MEMORY_DUMP"] = "Memory Dump",

		["COOLDOWN_ICON_EFFECTS"] = "Special cooldown effects",
		["COOLDOWN_FX1"] = NONE,
		["COOLDOWN_FX2"] = "Fade out tint",
		["COOLDOWN_FX3"] = "Fade in button",
		["COOLDOWN_FX4"] = "Fade in icon",
		["COOLDOWN_FX5"] = "Shrink tint (horizontal)",
		["COOLDOWN_FX6"] = "Shrink tint (vertical)",
		["COOLDOWN_FX7"] = "Shrink tint (both)",
		["COOLDOWN_FX8"] = "Radial cooldown (square)",
		["COOLDOWN_SHOW_SHINE"] = "Show shine when ready",
		["COOLDOWN_SHOW_TEXT"] = "Show cooldown text",
		["COOLDOWN_COLOR_TINT"] = "Icon tint",
		["COOLDOWN_COLOR_TEXT"] = "Text color",

		["_CLICKS"] = "Clicks",
		["_LS_DETAILS"] = LS .. " Details",
		["_DROPDOWN_MENU"] = "Dropdown Menu",
		["_SETTINGS_MENU"] = "Settings Menu",
		["_EDIT_MODE_ON"] = "|cFFFFFF00" .. "[Edit mode enabled]" .."|r",
		["_EDIT_MODE_ON_DESC"] = "|cFF00FF00" .. "In order to use the buttons, be sure to" .. "\n" ..
											"turn off the \"Edit Button\" mode via the" .. "\n" ..
											LS .. " Settings window.|r",

		["SPEECH_VANITY_PET"] = "Vanity Pet",
		["SPHERE_LOCATION"] = "Sphere location from center",

		["DEBUG_DISABLE_ADDONS"] = "Disable Addons + ReloadUI",
		["DEBUG_ENABLE_ADDONS"] = "Re-enable Addons + ReloadUI",
		["DEBUG_ITEM_PRINTOUT"] = "Item Printout",
		["DEBUG_DELETE_TEMPLATES"] = "Delete export templates",
		["DEBUG_WIPE_BUTTONS"] = "Wipe Button Data + ReloadUI",
		["DEBUG_RESET_LS"] = "Wipe ALL Data + ReloadUI",
		["DEBUG_STACKS_TO_TRADE"] = "Stacks to trade:",
		["DEBUG_FORCE_MINIMAP"] = "Force minimap as sphere texture",
		["DEBUG_SHOW_DEBUG_TOOLTIP"] = "|cFFFFFFFF" .. "Show Debug Tooltip",
		["DEBUG_310_ONLY"] = "Random Epic Flying (310% only)",

		["_HELP1"] = "Slash Commands (|cFFFFFFFFcan also use /ls)|r:",
		["_HELP2"] = "|cFFFFFFFF/lunarsphere|r  - This help screen",
		["_HELP3"] = "|cFFFFFFFF/lunarsphere showsphere|r  - Shows the center sphere",
		["_HELP4"] = "|cFFFFFFFF/lunarsphere hidesphere|r  - Hides the center sphere",
		["_HELP5"] = "|cFFFFFFFF/lunarsphere show|r  - Shows the center sphere and all buttons",
		["_HELP6"] = "|cFFFFFFFF/lunarsphere hide|r  - Hides the center sphere and all buttons",
		["_HELP7"] = "|cFFFFFFFF/lunarsphere settings|r  - Shows the LunarSphere Settings window",
		["_HELP8"] = "|cFFFFFFFF/lunarsphere options|r  - Shows the LunarSphere Settings window",

		["ERROR_STARTUP"] = "LunarSphere has detected that one or more of its addon files are old or invalid. Please make sure that the LunarSphere and LunarSphereExport folders are deleted before installing new versions, as overwriting folders sometimes doesn't work.",

		-- Memory tab contents
		["TAB_REAGENT"]= "Reagent tab",
		["TAB_INVENTORY"]= "Inventory tab",
		["TAB_SPEECH"]= "Speech tab",
		["TAB_SKINS"]= "Skins tab",
		["TAB_TEMPLATES"]= "Templates tab",
		["TAB_OTHER"]= "Other tab",
		["TAB_MEMORY"]= "Memory tab",
		["TAB_CREDITS"]= "Credits tab",
		["TAB_DISABLE_SECTION"] = "Entire section",
		["TAB_DISABLE_SETTINGS"] = "Settings options",
		["TAB_INVENTORY_JUNK"] = "Auto-sell section",
		["TAB_INVENTORY_REPAIR"] = "Repair section",
		["TAB_INVENTORY_AHMAIL"] = "AH mail section",
		["TAB_INVENTORY_AHTOTALS"] = "AH totals section",
		["TAB_OTHER_HIDEUI"] = "Hide UI section",
		["TAB_OTHER_MINIMAP"] = "Minimap section",
		["TAB_MEMORY_STATS"] = "Stats section",

		-- First time loading window
		["FIRST_TIME_TEXT"] = "Welcome to LunarSphere! It appears that this is the first time you have loaded LunarSphere on this character. To make things a little easier, you have some options for your starting sphere layout:",
		["FIRST_TIME_OPT1"] = "Use a class template",
		["FIRST_TIME_OPT2"] = "Use a generic template",
		["FIRST_TIME_OPT3"] = "Start from scratch",

		-- Credits contents
		["CREDIT_CAT1"] = "Project coded by:",
		["CREDIT_CAT2"] = "LunarSphere is based on sphere addons such as:",
		["CREDIT_CAT3"] = "BLP converter used:",
		["CREDIT_CAT4"] = "Special thanks to:",
		["CREDIT_CAT5"] = "Localization by:",
		["CREDIT_CAT6"] = "Very active beta testers:",
		["CREDIT_CAT7"] = "Beta testers:",

		-- Speech database stuff. These are the library names...
		["LIB_NAME_GENERIC_MOUNT"] = "Generic Mount",
		["LIB_NAME_FLYING_MOUNT"] = "Flying Mount",
		["LIB_NAME_REZZING"] = "Resurrect",

		-- And these are the speeches for each library. These are DEFAULT speeches, which the user can edit in-game. However, it would
		-- be nice if these are also translated for default speeches =)

		-- === NOTE! ===
		-- If there is any words within <>, such as <mount> or <target> ... leave them in the braces and don't translate. This is
		-- very important. Just leave those words alone =)
		-- =============

		["SPEECH_GENERIC_MOUNT1"] = "The instructions say to just add water and ... whoa! It's a <mount>!",
		["SPEECH_GENERIC_MOUNT2"] = "I'd love to hang around, but my <mount> needs exercise.",
		["SPEECH_GENERIC_MOUNT3"] = "Fasten your seat belts, it's going to be a bouncy ride.",
		["SPEECH_GENERIC_MOUNT4"] = "Does this look like a <mount> to you? Oh, I guess it really is. Nevermind.",
		["SPEECH_GENERIC_MOUNT5"] = "Ok, mounting my <mount> now. Wait... that didn't come out right.",
		["SPEECH_GENERIC_MOUNT6"] = "Pardon the smoke, folks! My <mount> adores flashy appearances...",
		["SPEECH_GENERIC_MOUNT7"] = "You should see my other mount... but it's in the shop getting fixed.",
		["SPEECH_GENERIC_MOUNT8"] = "Ha! Who needs magic when you can ride a <mount>!",
		["SPEECH_GENERIC_MOUNT9"] = "Chop chop, <mount>! I have some rep to grind!",
		["SPEECH_GENERIC_MOUNT10"] = "I love this backpack of mine. It can somehow fit my <mount>.",
		["SPEECH_FLYING_MOUNT1"] = "Someone once asked me what kind of super power I wanted. I told them that I wanted to fly.",
		["SPEECH_FLYING_MOUNT2"] = "To soar through the clouds, to chase after the wind ... ah, that's the life for me.",
		["SPEECH_FLYING_MOUNT3"] = "Water ballon? Check. Flying mount? Check. Unsuspecting victim? Oh ho ho! CHECK!",
		["SPEECH_FLYING_MOUNT4"] = "I know this thing cost a lot of gold, but being able to bypass all that running helps me sleep at night...",
		["SPEECH_FLYING_MOUNT5"] = "I can somehow pull this <mount> out of thin-air, and then ride on it.",
		["SPEECH_FLYING_MOUNT6"] = "This place doesn't look like Azeroth. Looks like my <mount> won't get scared and can come out to play.",
		["SPEECH_FLYING_MOUNT7"] = "Looks like I'm finally old enough to ride my <mount> through the skies! Woohoo!",
		["SPEECH_FLYING_MOUNT8"] = "My <mount> comes pre-installed with a barf bag. Does yours?",
		["SPEECH_FLYING_MOUNT9"] = "Barrel rolls and bombing runs, here I come!",
		["SPEECH_FLYING_MOUNT10"] = "I hope my <mount> doesn't drop me in mid-flight like LAST time...",
		["SPEECH_REZZING1"] = "Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.",
		["SPEECH_REZZING2"] = "Arise <target>, and fear death no more; or at least until the next pull.",
		["SPEECH_REZZING3"] = "Bring out your dead! *throws <target> on the cart*",
		["SPEECH_REZZING4"] = "<target>, quit hitting on the Spirit Healer and come kill something!",
		["SPEECH_REZZING5"] = "YAY! I always wanted my very own <target>-zombie!",
		["SPEECH_REZZING6"] = "It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.",
		["SPEECH_REZZING7"] = "<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!",
		["SPEECH_REZZING8"] = "Cool, I received 42 silver, 32 copper from Corpse of <target>",
		["SPEECH_REZZING9"] = "<target>, this better not be another attempt to get me to give you mouth-to-mouth.",
		["SPEECH_REZZING10"] = "<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!",
		["SPEECH_REZZING11"] = "Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.",
		["SPEECH_REZZING12"] = "<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.",
		["SPEECH_REZZING13"] = "Folks, what we have here is a prime example of why <target> shouldn't tank.",
		["SPEECH_REZZING14"] = "Don't rush me <target>. You rush a miracle worker, you get rotten miracles.",
		["SPEECH_REZZING15"] = "Death comes for you <target>! With large, pointy teeth!",
		["SPEECH_REZZING16"] = "Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult healer before dying.",
		["SPEECH_REZZING17"] = "Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>",
		["SPEECH_REZZING18"] = "... death defying feats are clearly not your strong point, <target>",
		["SPEECH_REZZING19"] = "Giving <target> another chance to noob it up. ",
		["SPEECH_REZZING20"] = "Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?",
		["SPEECH_REZZING21"] = "<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?",
		["SPEECH_REZZING22"] = "Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.",
		["SPEECH_REZZING23"] = "You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.",
		["SPEECH_REZZING24"] = "Sorry <target>, I couldn't heal you. I was too busy being the tank.",
		["SPEECH_REZZING25"] = "Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.",

	};
		
end

--localeVersion = 1.09;

Lunar.Locale.version = localeVersion;

LSMACRO = nil;